Pathway overview

The Pathway program has two parts, which you choose in the Pathway Installer:

Pathway Configuration Tool

The Pathway Configuration Tool is a stand-alone tool designed to help those with appropriate knowledge work with stylesheets.

The goals include the production of publishable language data from content-providing programs, such as SIL FieldWorks. The output destination can be paper or EBook, and mobile devices or web (future).

The Pathway Configuration Tool Help topics are listed under these overviews:

  • Installation overview

    • Known Issues overview

  • Concepts overview

    • Going Further overview

  • User Interface overview

    • User Interface terms overview

  • Tasks overview

Pathway in SIL FieldWorks

The Pathway Configuration Tool (http://pathway.sil.org/) enables the use of stylesheets to format output from SIL FieldWorks (http://fieldworks.sil.org/). The stylesheets do not change the formatting or layout of language data as it appears in SIL FieldWorks.

Related Help topics include:

  • Export Through Pathway dialog box

    • Preparation before exporting data

  • Select Layout dialog box

Related Topics

Roles

Prerequisites

Technical Support

Using Help overview

Related Web sites

http://pathway.sil.org/

http://pathway.sil.org/download/

http://www.sil.org/computing/fieldworks/flex/


Copyright and License

Copyright © 2008-2015 SIL International

This software is licensed under the GNU Operating System License (http://www.gnu.org/licenses/gpl.html).

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.

SIL fonts and closely related software: the SIL Open Font License (OFL).

Related Topics

Pathway Overview


Goals

  • Support multiple ”publishing roles” to effectively leverage the knowledge of publishing staff to help field teams

    • Good layouts (language/page size, and so on)

    • Knowledge about publisher constraints/layout constraints

  • Provide the field users destination options that are simple to choose

  • Empower the project manager to adjust output, if necessary

  • Acceptable defaults for pictures and headers

  • Support mixed left-to-right and right-to-left writing systems

  • Unicode and Graphite font technologies

  • Cross platform solution

  • Localizable User Interface (future)

Related Topics

Concepts overview

Pathway overview

Related Software

Related Internet sites

http://pathway.sil.org/

http://pathway.sil.org/features/content/


Technical Support

Internet options

  • The Support tab at http://pathway.sil.org/support/ allows you to post a comment, and read or add additional comments. The Blog tab at http://pathway.sil.org/blog/ has additional information.

  • The Wiki page at http://code.google.com/p/typeset-dictionary/w/list has links you can follow.

  • If you are part of a community of Pathway Configuration Tool users, we encourage you to use your contacts within that community to obtain additional support and training.

  • More Help on the Help menu opens: http://pathway.sil.org/demo/accessing-online-help-and-student-guide/.

Error or Bug Reports, and Feature Requests

The Pathway Configuration Tool is under active development and is distributed as freeware. As such, no warranty or support is provided and you use it at your own risk. We welcome error (crash) or bug reports, and feature requests.

The Issues tab at http://code.google.com/p/pathway/issues/list allows you to create and follow issues, which can be error or bug reports, or feature requests. Optionally, send them to pathway@sil.org.

Please include as much information as you can so the error or bug can be processed most efficiently:

  • How does the crash or problem occur? If at all possible, please include the necessary steps so we can reproduce the problem too.
    Where     does the crash occur (which feature was being used).
    When     does the crash occur? (Always/ Frequently/Sometimes/Whenever I ____. This is the first time).

  • Additional information can also be very useful:

    • Does this problem occur in every project or with every stylesheet, or only a particular one?

    • Which Operating System are you using?

      • Windows or Linux, and which version?

      • Virtual machine?

      • 32 bit or 64 bit?

      • Which language version of the Operating System are you using, if it isn't English?

If you include a FieldWorks crash dump, the FieldWorks Version and the Operating System are included in that information. In this case, add How and When information.

Note

  • If you hold down the Shift key while you start Pathway Configuration Tool, settings files are changed back to the setting that appeared just after you installed the tool. If a problem you are experiencing is related to setting files, this can solve the problem. Be aware that your Set Defaults dialog box settings are cleared and you will need to set them again.

Related Topics

Pathway overview

Related Web sites

http://pathway.sil.org/

http://www.sil.org/computing/fieldworks/flex/

http://code.google.com/p/typeset-dictionary/wiki/FlexTutorial


Concepts overview

Concepts

Agile development

Brochures or Booklets

Cascade

Checking and approval

Content-providing program

Dublin Core

Destination (of output)

  • DictionaryForMIDs

  • EBook (epub) - calibre or Kindle

  • InDesign

  • OpenOffice/LibreOffice

  • Pdf (Using LibreOffice)

  • Pdf (using Prince)

  • Webonary

  • Word

  • XeLaTex

Guide words

Intellectual Property

Licenses - Examples

Point

Properties (of stylesheets)

Relative and Absolute values

Republishing

Roles

Snippet

Standard versus custom stylesheets

Style naming

Stylesheet

Usage tracking

Related topics

Pathway overview

Properties (stylesheet)

User Interface terms overview

Related Internet Sites

http://creativecommons.org/licenses/by-nc-sa/3.0/


Agile development

This software is continuously updated to the needs of users. If there is a feature you need, contact the development team. We will work to integrate it into our planning.

Currently, we are releasing updated versions on roughly a weekly basis so we can often quickly integrate new ideas. The software is also open source and if you would like to participate in the development process, you are certainly welcome to do so.

Tip

  • Agile software development refers to a group of software development methodologies based on iterative development, where requirements and solutions evolve through collaboration between self-organizing cross-functional teams.

  • Extreme Programming (XP) is a software development methodology which is intended to improve software quality and responsiveness to changing customer requirements. As a type of agile software development, it advocates frequent "releases" in short development cycles (time boxing), which is intended to improve productivity and introduce checkpoints where new customer requirements can be adopted.

Related Topics

Concepts overview

Related Web sites

Sources: http://en.wikipedia.org/wiki/Extreme_Programming/ and

http://en.wikipedia.org/wiki/Agile_software_development/


Brochures or Booklets

Currently, Pathway does not have features or stylesheets which allow you to print your data as a brochure or booklet.

However, if you have recent versions of the programs listed below, you can set print properties or other print features so that you can print brochures (and possibly booklets) from them.

  • Adobe Reader, from a PDF file.

  • OpenOffice/LibreOffice

  • XeLaTex

  • Indesign

Refer to the User Helps for the program you choose for assistance.

Related Topics

Concepts overview


calibre

calibre is a free and open source e-book library management application developed by users of e-books for users of e-books.

The Convert books feature in calibre allows you to convert books from EPUB format to other formats, such as to MOBI for use in Kindle products.

To use a Kindle Touch Previewer, for example, do the following:

  1. Export the data to the E-Book (epub) destination in the Export Through Pathway dialog box.

  2. Open the output file in calibre.

  3. Use the Convert books feature to convert the book to MOBI.

  4. Open the MOBI file in your Kindle Previewer.

Related Topics

Concepts overview

Related Web sites

http://calibre-ebook.com/about

http://calibre-ebook.com/download_windows

Kindle Touch Previewer download


Cascade

Stylesheets store the specification of document presentation elements such as the layout, colors, and fonts. Cascading is the process of combining style sheets and features so the end result appears to be a single new style sheet. As style sheets are cascaded, properties in a particular context over-ride the same property in the same context given earlier.

Said another way, cascading allows the use of multiple snippets or stylesheets in a particular order (or with a priority scheme) to determine which specification applies if more than one matches a particular element. Then, the results are predictable.

Related Topics

Concepts overview

Related Web sites

http://www.w3.org/TR/CSS21/cascade.html#cascade (Complete rules for cascading style sheets)


Checking and approval

An important part of any publication process is the checking and approval for publication. Normally the publisher carries the responsibility for ensuring that each publication is checked and approved according to their standards. One of the first aspects of the checking is the checking of the content. This is normally done by people who are capable of analyzing and understanding the content. Is it complete? Is it easy to understand? Does it communicate well?

A second part of the checking and approval process will review the formatting and page presentation of the content. This process will look at issues such as page size, margins, headers, page numbers, etc. Each element must be properly formatted and placed correctly on each page. All these editing processes require people with a lot of attention to detail.

In any automated preparation process, there is the possibility that some of the content is lost. So the checking process also ensures that all the content approved in the first stage is included and that none has been lost. Some publication processes have limits on the resulting size of the publication. For example, certain types of bindings have a maximum number of pages that can be effectively bound.

Normally, at each step in the publication process checking and approval are required. Certainly after the last step and before the actual production begins, it is necessary to take a last look at all these issues.

Related Topics

Concepts overview

Roles


Content-providing program

In this context, content-providing programs are those computer programs in which you draft you language data. SIL FieldWorks is an example; more are planned for the future. These contrasts with destination programs to which you export the language data with stylesheets.

Related Topics

Concepts overview

Export Through Pathway dialog box

Prerequisites

Related Web sites

http://www.w3.org/TR/CSS21/cascade.html#cascade (Complete rules for cascading style sheets)


Destination

These Destination options are available in the Set Defaults and Export Through Pathway dialog boxes. In some cases, they are only available if the associated program is installed on your computer.

Destination | Description
DictionaryForMIDs | DictionaryForMIDs is for Android™, Java Micro Edition, Java Standard Edition and htmlApp devices. This format does not support hyperlinks. The Front Matter tab is not available as front matter is not supported.
E-Book (.epub) | E-Book (.epub) is an open electronic book reader format that can be read by computers, smart phones, tablets and dedicated e-book reader software, such as calibre.
InDesign | Adobe®InDesign® is used to design and preview page layouts for print or digital distribution.
OpenOffice/ LibreOffice | OpenOffice and LibreOffice use the OpenDocument format. This is an open XML-based word processing format that can be read by many word processing applications. This format retains text styling as well as font and pictures. Additional editing can be done in this format before final publication, however the rights statement is not attached to the document.
Pdf (Using Open Office/LibreOffice) | Your data is exported to OpenOffice or LibreOffice, and then uses the program to convert its output to *.pdf. In this case, additional editing can not be done in this format before final publication.
Pdf using Prince | Prince converts documents to *.pdf. Currently, for lexical data, you need to generate the main dictionary and each reversal index separately. The Front Matter tab is not available and no front matter content is included.
Webonary | Webonary is a server-side application, that is, it is software. It is used to publish to a web hosting services of your choice. This is not the same as SIL's Webonary.org hosting service, which is the preferred web publishing option.
XeLaTex | XeTeX a typesetting system based on a merger of Donald Knuth's TeX system with Unicode and modern font technologies. It is a command-line tool, like standard TeX and pdfTeX processors. LaTeX is a macro package which provides a set of macros for TeX to interpret. This format generates a pdf file allowing technical users precise typological control over the output.

Important

  • Archive data through Pathway - With each of the output options listed above, Pathway generates a <name>.ramp file which is a RAMP package. You can import this file into RAMP (SIL only).

  • http://pathway.sil.org/ may have the most up-to-date information regarding destinations.

Related Topics

Concepts overview

Content-providing program

Display the appropriate list of stylesheets

File management

Pathway overview

Related Software

Set up Web overview

Related Internet sites

http://pathway.sil.org/

http://pathway.sil.org/features/content/


Dublin Core

From http://dublincore.org/:

  • The Dublin Core Metadata Initiative, or "DCMI", is an open organization engaged in the development of interoperable metadata standards that support a broad range of purposes and business models.

In Pathway, the tabs and dialog boxes have fields that should contain metadata that are consistent with DCMI.

See: User Interface terms overview

Related Topics

Concepts overview

Related Internet Sites

http://dublincore.org/documents/dces/

http://dublincore.org/documents/usageguide/elements.shtml


DictionaryForMIDs

DictionaryForMIDs is for Android™, Java Micro Edition, Java Standard Edition and htmlApp devices. This format does not support hyperlinks.

For more information, refer to:

  • http://dictionarymid.sourceforge.net/what.html

  • http://dictionarymid.sourceforge.net/faq.html

  • http://dictionarymid.sourceforge.net/suppported.html

  • http://en.wikipedia.org/wiki/MIDlet

Important

  • The Properties tab is blank because there are no properties which you can customize.

Also, you cannot choose a different stylesheet for this destination in the Set Defaults or Export Through Pathway dialog boxes.

When you set a configuration in FLEx, only color and italic properties will remain in the output file. Bold is used to mark the headword, so it cannot be used elsewhere.

No preview is available.

  • This destination works only if the dictionary has one vernacular writing system. If you need to use it with multiple vernacular writing systems, request technical support.

Related Topics

Concepts overview

Destination


EBook (epub)

EBook (epub) or E-Book (.epub)

E-Book (.epub) is an open electronic book reader format that can be read by computers, smart phones, tablets and dedicated e-book reader software, such as calibre.

This format retains text styling and can contain embedded fonts for those writing systems that require it, but (unlike the .pdf format) will ”re-flow” text to fit the screen size of the device that is being used to view the document.

This format has the following settings (on the Properties tab of Stylesheet pane):

  • Layout

    • Font Size

    • Line height

    • Text alignment

    • Include Images

      • Maximum Image Width

    • TOC Level

  • Embedded Fonts

    • Embed Fonts in Document

    • Also Embed Font Variants

    • If font is missing

    • If restricted

    • Fallback font

Tip - Considerations for .epub documents

  • Embedding fonts in your document will allow non-western characters to display properly in e-book readers, but will also result in a larger file size. The file size can increase if you also choose to embed font variants (e.g., bold and italic versions of the fonts). You should consider whether embedded fonts are required for your document, or if you could publish the document without the embedded fonts.

  • When you embed a font in an *.epub document, you are redistributing it.

    • SIL fonts are freely redistributable, but this might not be the case for other fonts installed on your system. The Embedded Fonts section of the .epub settings contains controls that can determine how the .epub export handles missing and restricted fonts.

  • The E-Book (.epub) destination has the capability to scale down large images down to a maximum width (this is done without distorting the image). The default maximum value is 600 pixels – you might need to test this value on a variety of input devices to ensure that your images render properly.

  • For Kindle, use the E-Book (.epub) destination. Then use calibre to covert EPUB to MOBI.

Related Topics

Concepts overview

Content-providing program

Destination

Intellectual Property (Copyright)

Standard versus custom

Tasks overview

User Interface terms - Properties tab


Guide words

Guide words are positioned in page headers to allow the person using the document to find the desired page more quickly.

In a dictionary, the first and last headwords on the page are used. Consequently, all the words on the page will between them.

As the running header (head words), there can be different formats and differing amounts of information. To see examples, click a standard stylesheet, and then click Preview on the toolbar, or the button ( [image]) in a dialog box.

Related Topics

Concepts overview

Open Office known issues

Properties


InDesign®

Adobe®InDesign® is used to design and preview page layouts for print or digital distribution.

Related Topics

Concepts overview

Destination

Related Web sites

http://pathway.sil.org/features/output-media/

http://www.adobe.com/products/indesign.html


Intellectual_Property

Intellectual Property (Copyright) Info

Content created or collected in the tasks of language development and translation is considered Intellectual Property (IP). IP includes: word data, fonts, music and sound recordings, artistic and photographic works, stories, dramatic presentations and more. All these expressions are protected from misuse by international IP laws. When any publication is created and made available to the public, the distributor must obtain permission(s), acknowledge the owner(s) and abide by all restrictions placed upon the content being shared or published. The goal is to preserve the benefits of works created by staff for the use of others.

Important concepts:

  • Copyright is a form of legal IP protection given to the creators or authors of original works providing exclusive control of the work’s reproduction, distribution, adaptation, display and dramatic performance for an extended period of time. This protection is provided at the moment a work is created whether it has been made public or not and is recognized in nearly every nation. If the creator or author is paid, these rights typically belong to the employing organization as Work-Made-for Hire. Small quotes used in reviews or as classroom examples are generally permitted without permission under Fair Use.

  • It is very important to respect and protect the intellectual property rights of the language communities in which we work.

  • You must track where you obtain content and get written or recorded permission to use other's works before publishing them. Always ask and document how the creator of the work desires to be acknowledged in each kind of publication. Ask for and document the objections or agreements for ongoing use of their content in different media types such as the internet, videos, audio recordings and in printed materials.

  • Be careful to not violate another's copyright. You must respect the IP rights of other authors, publishers and partner organizations who provide resources for language development and translation tasks. You must also respect the Moral Rights of the staff who create IP (e.g. the reputation of and right to be acknowledged).

  • If you will publish data using Pathway that has already been published, contact the original publishing entity to make sure the publication through Pathway does not violate existing publishing or license agreements.

  • Contact your administration if you have questions about IP rights and restrictions.

Related Topics

Choosing a rights statement overview

Concepts overview

EBook (epub)

Export Through Pathway dialog box

Licenses - Examples


Licenses - Examples

  1. If the Work can be modified by the receiver, the following license applies:

    User License: Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License, http://creativecommons.org/licenses/by-nc-sa/3.0/

    Non-exclusive rights granted:

    • You may change or imitate this Work to create new Works.

    • You must credit all shared copies using the attribution text.

    • You may not sell newly created Works or use it to make money.

    • You must share newly created Works using the same by-nc-sa license.

    Attribution

    (Contributors), (c) YYYY Publisher; and if applicable, (c) YYYY Named Rights holders for materials used by permission.

    Attribution defaults

    © YYYY SIL International, Inc. <default for SIL staff-created data>

    or

    © YYYY publisher <type over for non-SIL staff-created data>

    Example

    © 2015 SIL International, Inc. http://creativecommons.org/licenses/by-nc-sa/3.0/.

  2. If the Work cannot be modified by the receiver the following license applies:

    Works 3.0 Unported License., http://creativecommons.org/licenses/by-nc-nd/3.0/

    Non-exclusive rights granted:

    • You may make an exact copy of this Work and share it with others.

    • You must credit all shared copies using the attribution text.

    • You may not sell this Work or use it to make money.

    • You may not change or imitate this Work to create new Works.

    • You must share this Work using the same by-nc-nd license.

    Attribution

    (c) YYYY Publisher; and if applicable, (c) YYYY Named Rights holders for materials used by permission.

    Example

    © 2015 SIL International, Inc. http://creativecommons.org/licenses/by-nc-nd/3.0/

Important

  • PUBLIC Note: Content or data distributed from the use of the SIL Pathway tool requires acknowledgement of compliance with your organization’s Intellectual Property (such as, copyright) and Archiving policies. A copyright statement and license must be included in the publicly shared form of the data.

  • For proper archiving and content, some metadata must conform to the Dublin Core Metadata Initiative.

Related Topics

Choosing a rights statement overview

Concepts overview

EBook (epub)

Intellectual Property (Copyright) Info


OpenOffice and LibreOffice

OpenOffice and LibreOffice use the OpenDocument format (http://en.wikipedia.org/wiki/OpenDocument). This is an open XML-based word processing format that can be read by many word processing applications. This format retains text styling as well as font and pictures. Additional editing can be done in this format before final publication.

These word processing applications can read OpenDocument files (not exhaustive):

Application | Info about
AbiWord | http://en.wikipedia.org/wiki/AbiWord
Adobe Buzzword | http://en.wikipedia.org/wiki/Adobe_Buzzword#Buzzword
Apple TextEdit starting with OS X 10.5 | http://en.wikipedia.org/wiki/TextEdit
Atlantis Word Processor | http://en.wikipedia.org/wiki/Atlantis_Word_Processor
Corel WordPerfect Office X4 | http://en.wikipedia.org/wiki/Corel_WordPerfect_Office
Evince | http://en.wikipedia.org/wiki/Evince
Google Docs | http://en.wikipedia.org/wiki/Google_Docs
IBM Lotus Symphony | http://en.wikipedia.org/wiki/IBM_Lotus_Symphony
KOffice | http://www.koffice.org/download/ or http://en.wikipedia.org/wiki/KOffice
LibreOffice | http://www.libreoffice.org/ or http://en.wikipedia.org/wiki/LibreOffice
Microsoft Office starting with 2007 SP2 | http://en.wikipedia.org/wiki/Microsoft_Office
NeoOffice | http://en.wikipedia.org/wiki/NeoOffice
Okular | http://en.wikipedia.org/wiki/Okular
OpenOffice.org | http://www.openoffice.org/ or http://en.wikipedia.org/wiki/OpenOffice.org
SoftMaker Office | http://en.wikipedia.org/wiki/SoftMaker_Office
Sun Microsystems StarOffice | http://en.wikipedia.org/wiki/StarOffice
WebODF | http://en.wikipedia.org/wiki/WebODF
WordPad starting with Windows 7 | http://en.wikipedia.org/wiki/WordPad
Zoho Office Suite | http://en.wikipedia.org/wiki/Zoho_Office_Suite

Note

  • Of these applications, LibreOffice, OpenOffice, and KOffice use the OpenDocument format as their native file format.

  • After installing LibreOffice or OpenOffice, on the Tools menu, point to Options to Security then to Macro Security to set the security level to Medium.

  • Currently, if you want Microsoft Word as your destination, you need to export to OpenDocument, and then either open it with a compatible version of Microsoft Word or export it from an OpenDocument-compatible word processor into a Word format.

  • See Also: Known Issues.

Related Topics

Concepts overview

Destination

Related Internet sites

http://pathway.sil.org/features/output-media/


Pdf (Using LibreOffice)

If you have properly configured the macros in LibreOffice and you have installed Adobe Reader®, you can export your dictionary data to a *.pdf file. However, it initially opens in LibreOffice and remains in view until the macro is finished. Then, LibreOffice closes and the document opens in Adobe Reader.

Compared to OpenOffice/LibreOffice as the destination, additional editing cannot be done before final publication.

Important

  • In LibreOffice, on the Tools menu, point to Options to Security then to Macro Security to set the security level to Medium. (OpenOffice is similar.)

Related Topics

Concepts overview

Destination

Related Web sites

http://pathway.sil.org/features/output-media/

http://www.adobe.com/products/indesign.html


Point

In typography, a point is the smallest unit of measure.

There are 72 points to the inch (1 point = 127⁄360 mm ≈ 0.353 mm, or 1/72 of an inch).

Related Topics

Concepts overview


Properties, Pathway Stylesheets

Pathway Style Sheet Properties

The Pathway Configuration Tool (PCT) project prepares FieldWorks XHTML export (and eventually LIFT and OXES formatted data) for printing using LibreOffice or other rendering engines. LibreOffice works very much like Microsoft Office 2000/2003 program, but supports rendering complex fonts using Graphite Technology and fonts. The stylesheet for the conversion of data for printing is based on the properties of the Cascading Style Sheet 2.1 standard. The supported properties are given in the table below. (Property names in parenthesis are not implemented.) FieldWorks XHTML export will create a *.CSS file with these properties already included for the default formatting of the lexical data. The properties given below can be used to change the rendering of any style tag in the exported file.

At the end of the first table is the Custom Properties table. It lists properties that were added to help support the conversion and formatting of lexical data.

Property Name | Equivalent PCT Feature* | Values | Initial value | Applies to (Default: all) | Inherited? | Percentages (Default: N/A) | Media groups
('background-attachment') |  | scroll | fixed | inherit | scroll |  | no |  | visual
'background-color' |  | <color> | transparent | inherit | transparent |  | no |  | visual
('background-image') |  | <uri> | none | inherit | none |  | no |  | visual
('background-position') |  | [ [ <percentage> | <length> | left | center | right ] [ <percentage> | <length> | top | center | bottom ]? ] | [ [ left | center | right ] || [ top | center | bottom ] ] | inherit | 0% 0% |  | no | refer to the size of the box itself | visual
('background-repeat') |  | repeat | repeat-x | repeat-y | no-repeat | inherit | repeat |  | no |  | visual
('background') |  | ['background-color' || 'background-image' || 'background-repeat' || 'background-attachment' || 'background-position'] | inherit | see individual properties |  | no | allowed on 'background-position' | visual
('bookmark-label') |  | content | <attr> | <string> | content |  | no |  | all
('bookmark-level') |  | none | <integer> | none |  | no |  | all
('bookmark-target') |  | self | <uri> | <attr> | self |  | no |  | all
('border-collapse') |  | collapse | separate | inherit | separate | 'table' and 'inline-table' elements | yes |  | visual
'border-color' |  | [ <color> | transparent ]{1,4} | inherit | see individual properties |  | no |  | visual
('border-length') |  | <length> | auto | auto | @footnote areas | no | refer to normal length of horizontal border of footnote area | visual
('border-spacing') |  | <length> <length>? | inherit | 0 | 'table' and 'inline-table' elements | yes |  | visual
'border-style' |  | <border-style>{1,4} | inherit | see individual properties |  | no |  | visual
'border-top' 'border-right' 'border-bottom' 'border-left' | Divider Lines (Yes) | [ <border-width> || <border-style> || 'border-top-color' ] | inherit | see individual properties |  | no |  | visual
('border-top-color') ('border-right-color') ('border-bottom-color') ('border-left-color') |  | <color> | transparent | inherit | the value of the 'color' property |  | no |  | visual
('border-top-style') ( 'border-right-style') ( 'border-bottom-style') ( 'border-left-style') |  | <border-style> | inherit | none |  | no |  | visual
('border-top-width') ( 'border-right-width') ( 'border-bottom-width') ( 'border-left-width') |  | <border-width> | inherit | medium |  | no |  | visual
'border-width' |  | <border-width>{1,4} | inherit | see individual properties |  | no |  | visual
'border' |  | [ <border-width> || <border-style> || 'border-top-color' ] | inherit | see individual properties |  | no |  | visual
('bottom') |  | <length> | <percentage> | auto | inherit | auto | positioned elements | no | refer to height of containing block | visual
('caption-side') |  | top | bottom | inherit | top | 'table-caption' elements | yes |  | visual
'clear' |  | none | left | right | both | inherit | none | block-level elements | no |  | visual
('clip') |  | <shape> | auto | inherit | auto | absolutely positioned elements | no |  | visual
'color' |  | <color> | inherit | depends on user agent |  | yes |  | visual
('column-break-after') |  | auto | always | avoid | auto | block-level elements | no |  | visual
('column-break-before') |  | auto | always | avoid | auto | block-level elements | no |  | visual
'column-count' | Columns | <integer> | auto | auto | block-level elements | no |  | visual
'column-fill' | Columns | auto | balance | balance | multi-column elements | no |  | paged
'column-gap' | Columns, Column gap | <length> | normal | normal | multi-column elements | no |  | visual
'column-rule' | Divider Lines | <border-width> || <border-style> || [ <color> | transparent ] | see individual properties | multi-column elements | no |  | visual
('column-rule-color') |  | <color> | currentColor | multi-column elements | no |  | visual
('column-rule-style') |  | <border-style> | none | multi-column elements | no |  | visual
('column-rule-width') |  | <border-width> | medium | multi-column elements | no |  | visual
'columns' |  | [ [ <integer> | auto] || [ <length> | auto] ] | see individual properties | block-level elements | no |  | visual
('column-span') |  | 1 | all | 1 | static, non-floating elements | no |  | visual
'column-width' |  | <length> | auto | auto | block-level elements | no |  | visual
'content' | Running Header | normal | none | [ <string> | <uri> | <counter> | attr(<identifier>) | open-quote | close-quote | no-open-quote | no-close-quote ]+ | inherit | normal | :before and :after pseudo-elements | no |  | all
'counter-increment' | Page Size | [ <identifier> <integer>? ]+ | none | inherit | none |  | no |  | all
'counter-reset' |  | [ <identifier> <integer>? ]+ | none | inherit | none |  | no |  | all
'direction' | Running Header | ltr | rtl | inherit | ltr | all elements, but see prose | yes |  | visual
'display' | Sense Layout (Bullets), Pictures (Yes) | inline | block | list-item | run-in | inline-block | table | inline-table | table-row-group | table-header-group | table-footer-group | table-row | table-column-group | table-column | table-cell | table-caption | none | inherit | inline |  | no |  | all
('empty-cells') |  | show | hide | inherit | show | 'table-cell' elements | yes |  | visual
('fit') |  | fill | hidden | meet | slice | fill | replaced elements | yes |  | visual
('fit-position') |  | [ [<percentage> | <length> ]{1,2} | [ [top | center | bottom] || [left | center | right] ] ] | auto | 0% 0% | replaced elements | yes | refer to width and height of box itself | visual
'float' 'float' |  | left | right | none | page | inside | outside | top | bottom | next | inherit | none | all, but see 9.7 | no |  | visual
('float-offset') |  | <length> <length> ? | 0 0 | floated elements | no | refer to width and height of containing block | visual
'font-family' | Running Header | [[ <family-name> | <generic-family> ] [, <family-name>| <generic-family>]* ] | inherit | depends on user agent |  | yes |  | visual
'font-size' | Base Font Size, Running Header | <absolute-size> | <relative-size> | <length> | <percentage> | inherit | medium |  | yes | refer to parent element's font size | visual
'font-style' |  | normal | italic | oblique | inherit | normal |  | yes |  | visual
'font-variant' |  | normal | small-caps | inherit | normal |  | yes |  | visual
'font-weight' | Running Header | normal | bold | bolder | lighter | 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800 | 900 | inherit | normal |  | yes |  | visual
'font' | Running Header | [ [ 'font-style' || 'font-variant' || 'font-weight' ]? 'font-size' [ / 'line-height' ]? 'font-family' ] | caption | icon | menu | message-box | small-caption | status-bar | inherit | see individual properties |  | yes | see individual properties | visual
('height') |  | <length> | <percentage> | auto | inherit | auto | all elements but non-replaced inline elements, table columns, and column groups | no | see prose | visual
'hyphenate-after' / 'hyphenate-before' |  | <integer> | auto | auto |  | yes |  | visual
('hyphenate-character') |  | auto | <string> | auto |  | yes |  | visual
'hyphenate-lines' |  | no-limit | <integer> | no-limit |  | yes |  | visual
('hyphenate-resource') |  | none | <uri> | none |  | yes |  | visual
'hyphens' |  | none | manual | auto | manual |  | yes |  | visual
('image-orientation') |  | auto | <angle> | auto | images | N/A |  | paged
('image-resolution') |  | normal | auto | <dpi> [ , normal | <dpi> ]? | normal | replaced elements | yes |  | visual
'left' |  | <length> | <percentage> | auto | inherit | auto | positioned elements | no | refer to width of containing block | visual
('letter-spacing') |  | normal | <length> | inherit | normal |  | yes |  | visual
'line-height' | Font size, Line Spacing, Sense Layout (Bullets) | normal | <number> | <length> | <percentage> | inherit | normal |  | yes | refer to the font size of the element itself | visual
('list-style-image') |  | <uri> | none | inherit | none | elements with 'display: list-item' | yes |  | visual
'list-style-position' |  | inside | outside | inherit | outside | elements with 'display: list-item' | yes |  | visual
'list-style-type' |  | disc | circle | square | decimal | decimal-leading-zero | lower-roman | upper-roman | lower-greek | lower-latin | upper-latin | armenian | georgian | lower-alpha | upper-alpha | none | inherit | disc | elements with 'display: list-item' | yes |  | visual
('list-style') |  | [ 'list-style-type' || 'list-style-position' || 'list-style-image' ] | inherit | see individual properties | elements with 'display: list-item' | yes |  | visual
'margin-right' 'margin-left' | Page Margin (Inside/Outside), Sense Layout (Bullets) | <margin-width> | inherit | 0 | all elements except elements with table display types other than table-caption, table and inline-table | no | refer to width of containing block | visual
'margin-top' 'margin-bottom' | Page Margin (Top/Bottom), Running Header | <margin-width> | inherit | 0 | all elements except elements with table display types other than table-caption, table and inline-table | no | refer to width of containing block | visual
'margin' | Page Size, Divider Lines (Yes) | <margin-width>{1,4} | inherit | see individual properties | all elements except elements with table display types other than table-caption, table and inline-table | no | refer to width of containing block | visual
'marks' |  | [ crop || cross ] | none | none | page context | no |  | paged
('max-height') |  | <length> | <percentage> | none | inherit | none | all elements but non-replaced inline elements, table columns, and column groups | no | see prose | visual
('max-width') |  | <length> | <percentage> | none | inherit | none | all elements but non-replaced inline elements, table rows, and row groups | no | refer to width of containing block | visual
('min-height') |  | <length> | <percentage> | inherit | 0 | all elements but non-replaced inline elements, table columns, and column groups | no | see prose | visual
('min-width') |  | <length> | <percentage> | inherit | 0 | all elements but non-replaced inline elements, table rows, and row groups | no | refer to width of containing block | visual
('orphans' 'orphans') |  | <integer> | inherit | 2 | block-level elements | yes |  | visual, paged
('outline-color') |  | <color> | invert | inherit | invert |  | no |  | visual, interactive
('outline-style') |  | <border-style> | inherit | none |  | no |  | visual, interactive
('outline-width') |  | <border-width> | inherit | medium |  | no |  | visual, interactive
('outline') |  | [ 'outline-color' || 'outline-style' || 'outline-width' ] | inherit | see individual properties |  | no |  | visual, interactive
('overflow') |  | visible | hidden | scroll | auto | inherit | visible | non-replaced block-level elements, table cells, and inline-block elements | no |  | visual
'padding-top' 'padding-right' 'padding-bottom' 'padding-left' | Divider Lines (Yes), Sense Layout (Bullets) | <padding-width> | inherit | 0 | all elements except table-row-group, table-header-group, table-footer-group, table-row, table-column-group and table-column | no | refer to width of containing block | visual
'padding' |  | <padding-width>{1,4} | inherit | see individual properties | all elements except table-row-group, table-header-group, table-footer-group, table-row, table-column-group and table-column | no | refer to width of containing block | visual
('page') |  | auto | <identifier> | auto | block-level elements | yes |  | paged
('page-break-after' 'page-break-after') |  | auto | always | avoid | left | right | inherit | auto | block-level elements | no |  | visual, paged
('page-break-before' 'page-break-before') |  | auto | always | avoid | left | right | inherit | auto | block-level elements | no |  | visual, paged
('page-break-inside' 'page-break-inside') |  | avoid | auto | inherit | auto | block-level elements | yes |  | visual, paged
'position' |  | static | relative | absolute | fixed | inherit | static |  | no |  | visual
('quotes') |  | [<string> <string>]+ | none | inherit | depends on user agent |  | yes |  | visual
'right' |  | <length> | <percentage> | auto | inherit | auto | positioned elements | no | refer to width of containing block | visual
'size' | Page Size | <length>{1,2} | auto | [ <page-size> || [ portrait | landscape] ] | auto | page context | N/A |  | paged
('string-set') |  | [[ <identifier> <content-list>] [, <identifier> <content-list>]* ] | none | none |  | no |  | all
('table-layout') |  | auto | fixed | inherit | auto | 'table' and 'inline-table' elements | no |  | visual
'text-align' | Justified | left | right | center | justify | inherit | a nameless value that acts as 'left' if 'direction' is 'ltr', 'right' if 'direction' is 'rtl' | block-level elements, table cells and inline blocks | yes |  | visual
'text-decoration' |  | none | [ underline || overline || line-through || blink ] | inherit | none |  | no (see prose) |  | visual
'text-indent' | Sense Layout (Bullets) | <length> | <percentage> | inherit | 0 | block-level elements, table cells and inline blocks | yes | refer to width of containing block | visual
('text-replace') |  | [<string> <string>]+ | none | none |  | yes or? |  | visual
'text-transform' |  | capitalize | uppercase | lowercase | none | inherit | none |  | yes |  | visual
('top') |  | <length> | <percentage> | auto | inherit | auto | positioned elements | no | refer to height of containing block | visual
'unicode-bidi' |  | normal | embed | bidi-override | inherit | normal | all elements, but see prose | no |  | visual
'vertical-align' |  | baseline | sub | super | top | text-top | middle | bottom | text-bottom | <percentage> | <length> | inherit | baseline | inline-level and 'table-cell' elements | no | refer to the 'line-height' of the element itself | visual
'visibility' |  | visible | hidden | collapse | inherit | visible |  | yes |  | visual
'white-space' |  | normal | pre | (nowrap) | pre-wrap | pre-line | inherit | normal |  | yes |  | visual
('widows' 'widows') |  | <integer> | inherit | 2 | block-level elements | yes |  | visual, paged
'width' |  | <length> | <percentage> | auto | inherit | auto | all elements but non-replaced inline elements, table rows, and row groups | no | refer to width of containing block | visual
('word-spacing') |  | normal | <length> | inherit | normal |  | yes |  | visual
('z-index') |  | auto | <integer> | inherit | auto | positioned elements | no |  | visual

Note

  • * Each Equivalent PCT Feature is usually a selection you can make in the Info tab or Properties tab.

  • To enable Graphite in Open Office, make sure to use version 3.2 or later. Then, on the Tools menu, click Options. In the Options dialog box expand Language Settings,and then click Languages. Under Enhanced Language Support, select Asian, complex languages (CTL), or both. Click OK to close the Options dialog box. Then, when you open the dialog box you will be able to choose default fonts for complex or Asian languages.

Custom Properties

Name | Equivalent PCT Feature* | Values | Initial value | Applies to | Inherited? | Percentages (Default: N/A) | Media groups
'prince-hyphenate-patterns' |  | <list of languages> | none | Insert hyphenation symbol in pdf file based on language pattern (for Dictionary) | no | no | none
'-ps-paper-size ' |  | A4 / Letter | A4 | Paper size | no | no | none
'-ps-heading-string ' |  | <string> | none | Letter heading (for Dictionary) | no | no | none
'-ps-HeadingsHomonymNumber' |  | yes/ no | no | Running head number (for Dictionary) | no | no | none
'-ps-HeadingsGuideWords' |  | yes/ no | no | Running head guide word (for Dictionary) | no | no | none

Note

  • * Each Equivalent PCT Feature is usually a selection you can make in the Info tab or Properties tab.

Related Topics

Concepts overview

Related Software

User Interface terms - Info tab

User Interface terms - Properties tab


Relative and Absolute values

In the Properties tab, some of the boxes allow you to type a relative value or an absolute value. Examples include Column Gap and Page Margin,

Here are the relative units you can use:

  • em: the 'font-size' of the relevant font

  • ex: the 'x-height' of the relevant font

  • px: pixels, relative to the viewing device

Examples

  • You could type a relative values such as 1.5em to indicate that you want to specify a size of 1.5 times the width of an em-dash character. It changes to 150% when you reopen the stylesheet, and indicates the percentage of the size of an em-dash character. You can type a percentage value directly.
    These change according to the current font size.

  • You could type an absolute value, such as 0.5in or 2cm. Absolute values are converted to the nearest point value and also rounded to exclude any fractions of a point. You see this change when you reopen the stylesheet.

A red exclamation point ( [image]) appears if you type any value that is not possible or outside of preset boundaries.

Related Topics

Concepts overview

Pathway overview

Properties (stylesheet)

User Interface terms overview

Related Web Sites

http://www.w3.org/TR/CSS2/syndata.html


Republishing

Important

  • If you will publish data using Pathway that has already been published, contact the original publishing entity to make sure the publication through Pathway does not violate existing publishing or license agreements.

Related Topics

Concepts overview

Intellectual Property


Roles

In a typical language project, different roles exist naturally. Some individuals have more expertise at publishing (Global Publishing Services, Language Software Development, Focus group, and so on). Other individuals have more expertise regarding the language data. Various management structures typically exist.

Roles and some expected tasks are listed below. The goal is to effectively make the expertise of publishers available to language data experts.

Role 1 - Designers

  • Create standard stylesheets

  • Approve stylesheets

Role 2 - Manager

  • Set Defaults

  • Limit choices

  • Rename or edit stylesheets

  • Create custom stylesheets (New or Copy)

  • Add comments based on the use they envisage for the style sheet in the language project.

Role 3 - Printing Users

  • Create content (with a content-providing program)

  • Output the language data using the defaults (typical)

  • Manually adjust layout of output data (such as to reposition a picture in a lexical entry in LibreOffice)

  • Provide feedback to stylesheet designers and mangers

Related Topics

Concepts overview

Pathway overview

Tasks overview

Related Web sites

http://pathway.sil.org/features/roles/


Snippet

A snippet is a stylesheet that covers one element or presentation concept, to specify, for example the number of columns. Another snippet will specify the page size, and yet another could specify colors.

The standard stylesheets that come with the Pathway Configuration Tool are made of more than one snippet. Snippets and other stylesheets cascade to give a predictable result.

If a change is made to one snippet, any stylesheet that use that snippet is also changed.

The standard stylesheet, called FieldWorks Styles, allows settings made in SIL FieldWorks to more directly affect the published product. Other stylesheets give FieldWorks settings less or no priority.

Related Topics

Concepts overview

Content-providing program


Standard versus custom

Standard versus custom stylesheets

  • Standard stylesheets are installed with the Pathway Configuration Tool. These are designed by publishing experts. You cannot change then, except for some boxes on the Info tab.

  • Custom stylesheets are those you copied or added. You can edit these, to a limited extent. That is, stylesheets have more properties than you can control in the Pathway Configuration Tool. You cannot preview sample data for custom stylesheets.

Related Topics

Concepts overview

User Interface terms - Properties tab


Style naming

Style names in the output file

When you export data, such as from SIL FieldWorks to OpenDocument (*.odt) format, you see names of styles in LibreOffice or OpenOffice that do not match those you see in Pathway Configuration Tool. Typically, you will see longer style names in the output file. This is especially true for character styles. During the export process, styles receive names based on which elements they contain.

Example

Some cascading stylesheet properties allow sizes to be set to relative values. A font size could be specified as 55%, which means 55% of the style tag that contains the element in question. It is important to know what element contains the current one. So, during the export process, styles are named in the resulting output with the names of the tags that contain this one.

  • entry_LetterData would mean the entry contained in the LetterData. This allows the style of a text element to vary based on the context in which it occurs.

  • xsensenumber is the style used for the number before the senses. It is the same style name whether the entry is a major entry, a minor entry, or a sub-entry. If you want to format these kinds of entries differently, having the subentry style named xsensenumber_sense_sensessub_subentry_subentries_entry_letData and the main entry style named xsensenumber_sense_senses_entry_letData could be helpful. If you wanted the main entries to be in 12pt and the subentries to be in 10pt., you could set the xsensenumber style to be 80% of the font size of the containing element.

Related Topics

Concepts overview

Base Font Size


Stylesheet

A stylesheet (or style sheet) is a document that consists of settings that describe the layout and presentation to be used when displaying other documents.

Stylesheets enable you to separate document content from document presentation because they store the specification of presentation elements such as the layout, colors, and fonts.

In the Pathway Configuration Tool, the set of standard style sheets are built up from a series of snippets. These cascade to give a predictable result.

Related Topics

Concepts overview

Stylesheet pane

Related Web sites

http://pathway.sil.org/features/style-sheet/


Usage tracking

The full usage tracking feature (logging every action of the user) has not been implemented. However, the program sends feedback to its designers after the first, tenth, and fortieth uses.

Related Topics

Concepts overview


XeLaTex

XeTeX a typesetting system based on a merger of Donald Knuth's TeX system with Unicode and modern font technologies. It is a command-line tool, like standard TeX and pdfTeX processors. LaTeX is a macro package which provides a set of macros for TeX to interpret.

If installed, XeLaTex is a Pathway destination you can choose to generate pdf files, using the selected stylesheet.

  • If you want to change the LaTeX macros, there are various on-line forums where you can get technical support. Here are some examples:

    • http://latex-community.org/

    • http://www.tug.org/

    • http://tex.stackexchange.com/

    • http://en.wikibooks.org/wiki/LaTeX

If you want to edit the files produced by Pathway, consider the following:

  • The main.tex and *.css files are in the Publications folder. The *.pdf file is also there.

  • To edit the main.tex file, download and use the TeX Live editor. You can find it here: http://tug.org/texlive/.

Documentation is also available there. Using TeX Live is beyond the scope of these Pathway Helps.

Related Topics

Concepts overview

Destination

Technical Support

Related Web sites

http://en.wikibooks.org/wiki/LaTeX/Introduction#What_is_LaTeX.3F

http://en.wikipedia.org/wiki/TeX

http://en.wikipedia.org/wiki/XeTeX

http://en.wikipedia.org/wiki/LaTeX

http://pathway.sil.org/features/output-media/

http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=XeTeX


User Interface overview

Information about the User Interface (UI) is available from these overview topics:

  • User Interface terms overview

    • Change the User Interface language

  • Toolbar overview

  • Panes overview

  • Dialog boxes overview

Related Topics

Tasks overview

Pathway overview


Dialog boxes overview

Here are the dialog boxes that can appear with you use Pathway:

  • Localize User Interface dialog box

  • Select Your Organization

    • Organization Name

  • Set Defaults / Export Through Pathway

    • Publication Info tab

    • Front Matter tab

    • Processing Options tab

    • Hyphenation

  • Select Layout

  • User Interface Language

Important

  • Set Defaults and Export Through Pathway are two instances of the same dialog box:

    • Set Defaults opens from the Pathway Configuration Tool.

    • Export Through Pathway opens from content-providing programs.

Related Topics

About Pathway

Open the Export Through Pathway dialog box

Pathway overview

Tasks overview


About Pathway

Open the About Pathway dialog box using Help on the toolbar.

This dialog box contains:

  • The version number and build date.

Provide this information if you request technical support.

  • License information (http://www.gnu.org/licenses/gpl.html).

  • Copyright and provider information.

  • A link to http://pathway.sil.org/.

  • The Help Improve check box.

If selected ( [image]), Pathway usage data is reported to the development team.

Related Topics

Dialog boxes overview


Export Through Pathway dialog box

  1. Prepare the data.

  2. Open the dialog box, and then do the following:

    • If you will not use the default selections, select a destination and a stylesheet. Then, click More and use the Publications Info, Front Matter, and Processing Options tabs.

    • Click the Intellectual Property Info link, read the information.

    • Select ( [image]) the "I have complied...." check box.

    • Click OK.

The export operation begins.

  3. If additional dialog boxes or warning boxes appear, click appropriate options.
    Examples:

    • Font Copyright Warning: Verify that you have sufficient rights or choose another font. Select ( [image]) or clear ( [image]) the Do this for the next <number> item(s) check box, if it appears.

    • EBook (epub): In Validate .epub File, click Validate to check the output for errors.

For some destinations, that program starts and displays the output (if the program is installed on your computer).

For other destinations, a file is added to the folder specified in Save in Folder (Processing Options tab). You need to open those files with the appropriate program.

Note

  • If you will export more than one reversal index, export them separately. Then, merge them in a common file. Only the displayed reversal index is exported.

  • Processing a dictionary provides additional information.

  • You can click the button ( [image]) to use the Select Layout dialog box.

Related Topics

Destination

Dialog boxes overview

OpenOffice/LibreOffice issues

Related Web Sites

http://code.google.com/p/epubcheck/wiki/Errors

http://fieldworks.sil.org/fw-info/publishing/


Front Matter tab

Do the following in this tab:

  1. To include a cover image page, select ( [image]) Cover Image Page.

    • Click Select to select a different image.

    • If you want the book title to appear in the image, select ( [image]) Include the book's title in the image.

  2. To include a title page, select ( [image]) Title Page.

  3. To include a copyright information page, select ( [image]) Copyright Information Page. Then, do either for the following:

    • Select Standard Rights Statement. Then, click the down-arrow and click a rights statement.

    • Select Custom. The, click the ellipsis button ( [image]) and select your custom *.xhtml file.

      Click Help me choose a rights statement for assistance.

    4. To include a table of contents, select ( [image]) Table of Contents.

    5. Click the Processing Options tab.

Note

  • This tab is not available for use for these destinations:

    • DictionaryForMids (front matter is not supported)

    • PDF (using Prince).

  • Both the Set Defaults and Export Through Pathway dialog boxes have this tab.

Related Topics

Create a custom rights statement

Dialog boxes overview

Front matter and back matter


Hyphenation tab

Hyphenation is usually not applicable for lexical data in dictionaries. It can be important for running texts.

If you want to control the hyphenation of your exported data, hyphenation files are required. These files could be available from hyphenation work completed in other computer programs. For example, you may have hyphenations files from LibreOffice or OpenOffice.

Do the following in this tab:

  1. If you want to apply hyphenation to one or more languages, select ( [image]) Enable Hyphenation.

  2. Do the following in the Language Settings area:

    • Select ( [image]) the languages that have hyphenation files that you want to use.

    • Clear ( [image]) the languages if you do not want apply hyphenation.

Related Topics

Dialog boxes overview

Technical Support


Open the Export Through Pathway dialog box

  1. In FieldWorks Language Explorer, do the following:

    • On the File menu, click Export.

    • In the Export dialog box, click Dictionary, Reversal Index Pathway (various options).

    • Click Export.

  2. If the Select Your Organization dialog box appears, select your organization, and then click OK.

The Export Through Pathway dialog box opens.

Related Topics

Export Through Pathway dialog box


Organization Name

Organization Name dialog box

The Organization Name dialog box appears when you click Other in the Select Your Organization dialog box.

In this case, the default copyright information is left incomplete. You will need to manually edit the Copyright Holder field (Publication Info tab) to include your organization name.

Do the following:

  1. Type the name of your organization, and then press OK.

    The name you typed is the selected organization in the Select Your Organization dialog box.

  2. Click OK to close the Select Your Organization dialog box, and open the Set Defaults dialog box.

Related Topics

Dialog boxes overview

File management

Roles


Preparation before exporting data

Before you use the Export Through Pathway dialog box, make sure your data is ready. For example (not exhaustive):

  • Sort and filter the data.

  • Configure the dictionary.

  • Make sure picture captions are correct.

  • Make sure examples and example references are current and correct.

  • Configure the reversal index.

  • Generate a fresh Grammar Sketch.

  • Check spellings of words in both vernacular or analysis writing systems.

  • Apply styles, as desired, to individual writing system, embedded words, and so on.

    • If you will use the FieldWorksStyles or FieldWorksArabicBased stylesheet, make sure the appropriate styles are set in Language Explorer (FLEx). These stylesheet passes most of the style settings you specified in FLEx to the output file. While these stylesheets enable a nearly WYSIWYG output, some adjustments might be needed in the output file. For example, you may need to manually reposition pictures.

Important

  • Pathway is a key way to move lexical data from FieldWorks Language Explorer (FLEx) to a form (LibreOffice, EPUB, and so on) that is closer to becoming publishable, or is actually published. See: http://fieldworks.sil.org/ and http://pathway.sil.org/.

Related Topics

Dialog boxes overview

Going Further overview


Processing Options tab

As desired, or as necessary, do any of the following in this tab:

  1. Click the ellipses button ( [image]) for the Save In Folder field, and then select the folder for the output file.

  2. Select ( [image]) Replace styles with direct formatting in OpenOffice/LibreOffice if your output file is large. See: OpenOffice/LibreOffice Issues.

  3. Select ( [image]) the lexical data you want to include in the file:

    • Configured Dictionary

    • Reversal Indexes.

  4. In the Preprocessing Transformation box, select ( [image]) any of the following:

    • Filter Broken Links removes hyperlinks that are broken because the entries that they point to are not in the output file. Filters in the content-providing program could cause this.

    • Filter Empty Entries filters out potentially empty lexical entries. Filters and configuration settings in the content-providing program could result in entries that are headwords without any content.

    • Fix Duplicate ids solve validation errors caused by lexical items that have the same internal identification numbers.

    • FixLinksBeginWithSpace retains the hyperlink properties even if the link begins with an empty space.

    • Remove Letter Dividers or Remove Letter Dividers2 removes the letters that separate the sets of words that start with different first letters (one column and two column stylesheets, respectively).
      Remove unwanted Letter Dividers       attempts to prevent characters that are secondary sort characters, such as tone marks, from becoming letter dividers.

    • Remove Space Before Picture Entry removes the unwanted space that may appear just before the first character of the dictionary headword for entries that have a picture. This space makes the alignment inconsistent.

    • Roman Numeral Homographs displays the homograph numbers as roman numerals.

    • Section Subheaders collects the names of the writing systems and inserts them as the title of the section(s).

Some of these options affect the Table of Contents. You need to examine their effect with your data. If necessary, request technical support.

  5. Do the remaining steps in Set Defaults or Export Through Pathway.

Related Topics

Dialog boxes overview


Publication Info tab

  1. Do the following in this tab:

    • Book Title - type the name of the publication.

      Front Matter tab selections control its use.

    • Description - type a description of the publication.

    • Creator - type the name of the person, group, organization, or other entity who created this publication.

    • Publisher - type the name of the publisher.

    • Copyright Holder - update or enter new information, if what is displayed is not already complete or correct. You need to do this if you used the Organization Name dialog box to enter a new name.

  2. Click the Front Matter tab.

Important

  • Some metadata in this tab are automatically set according to your selection in the Select Your Organization dialog box. Initially, the Publisher and Copyright Holder fields are automatically populated, at least partially.

    • Various *.xml files determine this. Each organization can specify default data that will appears in other fields, depending on how extensively they want to provide this metadata. For more information, request technical support.

  • Both the Set Defaults and Export Through Pathway dialog boxes have this tab.

Related Topics

Dialog boxes overview


Select Layout dialog box

In the Set Defaults and the Export Through Pathway dialog boxes, a button ( [image]) is next to the Stylesheet button. It opens the Select Layout dialog box so you can see a list of available stylesheets, and a preview pane that show sample data for each standard stylesheet.

Do the following in the Select Layout dialog box:

  1. In the left pane, click a stylesheet.

  2. In the right pane, examine the layout of the sample data.

    • Click next ( [image]) or previous ( [image]) to see even and odd numbered pages.

  3. Repeat the steps above until the stylesheet you want is selected, and then click OK.

    This dialog box closes, and the stylesheet you selected appears in the Stylesheet button of the open dialog box.

Note

  • If you opened the Select Layout dialog box from the Export Through Pathway dialog box, you can click Edit Layout button (bottom left corner). This opens the Pathway Configuration Tool.

Related Topics

Dialog boxes overview


Select Your Organization dialog box

The Select Your Organization dialog box appears when you click the Defaults toolbar icon, or export data from a content-providing program, if have you not previously selected your organization.

After you have selected your organization, this dialog box will not appear anymore. Therefore, if you need to change your selection, do the following:

  • Close the Pathway Configuration Tool.

  • Press and hold the Shift key while you restart the Pathway Configuration Tool.
    Then it will appear when you click the Defaults toolbar icon.

Do the following in the Select Your Organization dialog box:

  1. Select your organization.

    • If your organization is not in the drop-down list, click Other to open the Organization Name dialog box.

  2. When your organization appears in the My organization button, click OK.

    The Set Defaults dialog box or the Export Through Pathway dialog box appears.

Note

  • Copyright statements and other metadata are automatically set according to your selection here. You see this in the Publication Info tab (Set Defaults dialog box).

Related Topics

Dialog boxes overview

File management

Roles

Setting default settings


Set Defaults dialog box

The selections you make in this dialog box are the initial (default) selections and content in the Export Through Pathway dialog box. Some can become RAMP Metadata.

  1. To open this dialog box, click the Defaults toolbar button, or click OK in the Select Your Organization dialog box.

  2. Select a destination.

    • Click [image] to open the Destination Help topic (optional).

  3. Select a stylesheet.

    • Use the Select Layout dialog box (optional).

  4. Click the More button to display and use these tabs:

    • Publication Info

    • Front Matter

    • Processing Options

    • Hyphenation.

  5. Click the Intellectual Property Info link, read that information.

    • Select ( [image]) the check box to indicate compliance with your organizations policies.

  6. Click OK.

Related Topics

Dialog boxes overview

Set up Web overview

Webonary


User Interface Language dialog box

You use the User Interface Language dialog box to change the User Interface (UI) language.

It has three controls that display drop-down lists. You choose the following:

  • language

  • font

  • font size.

Preview shows a sample based on your choices. Be careful to not choose a font size that is too large.

There is also a hyperlink that you can click to open the Localize User Interface (L10NSharp) dialog box.

The I want to localize Pathway for another language hyperlink opens the Localize User Interface (L10NSharp) dialog box. You can use this if there is no shared language file, and the language you want is not listed in the drop-down list.

Related Topics

Dialog boxes overview


Panes overview

The Pathway Configuration Tool three panes:

Left pane | Center pane | Right pane
Navigation | Stylesheets | Styles heet

Related Topics

User Interface overview


Navigation pane

This is the left pane in the window. You use the features in this pane to display the desired set of stylesheets based on the destination.

Destination | Displays Stylesheets for publishing to
Paper | paper, such as LibreOffice
Mobile | smartdevices, such as DictionaryForMIDs
Web | the internet, such as Webonary
Others | E-Book (.epub), and various speciality/custom needs

Related Topics

Concepts overview

Technical Support

User Interface Terms


Stylesheet pane

This pane is the right panel. It shows the name of the current stylesheet, and some of its details (properties).

  • Summary window: At the top of this pane is a non-editable window. It shows a summary of some selections set in the tabs below it.

  • Stylesheet tabs display information about the current stylesheet. For standard stylesheets, these settings are not editable. Add and customize a stylesheet as needed.

    • Info tab:

It stores information about the selected stylesheet. It also has the Available check box and Approved By field. See: User Interface terms - Info tab.

    • Properties tab:

It stores the display property selections for the current stylesheet. See: User Interface terms - Properties tab.

    • Preview tab:

It shows sample data that uses the stylesheet selected in the Stylesheets pane. Preview on the toolbar shows a larger view.

Tip

  • Publication metadata is stored in the Publication Info tab and Front Matter tab (Set Defaults and Export Through Pathway dialog boxes).

Related Topics

Concepts overview

Properties (stylesheets)

Specifying metadata

Tasks overview


Stylesheets pane

This is the center pane. It lists the stylesheets that are stored according to your selections in the Navigation pane.

Related Topics

Panes overview

Stylesheet pane


Toolbar overview

To | Click | Shortcut
add a new stylesheet (custom) | New | Alt+N
copy the selected stylesheet into a custom stylesheet that you can edit | Save As | Alt+A
delete the selected stylesheet | Delete | Alt+L
see a preview of the layout produced (sample data used) by the selected stylesheet except DictionaryForMids. | Preview | Alt+V
open the Set Defaults dialog box (or Select Your Organization) so you can specify default settings for the Export Through Pathway dialog box | Defaults | Alt+F
delete custom stylesheets and the settings you set in Defaults (above) to put Pathway back to its initial state. This cannot be undone. | Reset | Alt+R
send the selected stylesheet to someone | Send | Alt+E
open these user helps or Help menu commands. | Help | Alt+H or F1

Note

  • Defaults will open the Select Your Organization dialog box if you have not yet selected your organization.

  • When you click Preview ( [image]) for a custom stylesheet, sample data is used in LibreOffice, if it is installed. You need to choose to enable macros when as the preview is being created.

Related Topics

Pathway overview

User Interface overview


Help menu

The Help menu is on the toolbar.

It has a two-part button that looks like this: .

  • Click the question mark button ( [image]) to open these user helps, or press F1.

  • Click the down arrow ( [image] ) to display these additional menu commands:

Command | Click to
Student Manual | open a student manual in a PDF file
More Help | open training materials on the Internet
User Interface | change the UI language
About | open the About dialog box

Note

  • The student manual is not maintained to match the current versions. However, it can still be useful to get started using Pathway.

Related Topics

Pathway overview

User Interface overview

Related Internet Site

http://pathway.sil.org/demo/accessing-online-help-and-student-guide/


User Interface terms overview

Some of the terms you see in various tabs in the Pathway Configuration Tool and its associated dialog boxes are described in individual Help topics.

These are listed in these overview topics:

  • User Interface terms - Info tab

  • User Interface terms - Properties tab

  • User Interface terms - Set Defaults and Export Trough Pathway dialog boxes

Related Topics

Change the User Interface language

Dialog boxes overview

User Interface overview


User Interface terms - Info

User Interface terms - Info tabs

Here are terms you see in the Info tabs (Stylesheet pane) for any Navigation pane selection:

Info tab field labels

Name

Description

Available

Comment

Approved By

Related topics

User Interface terms overview


Approved By

In the Info tab, the Approved By field is shown for standard stylesheets. It is not editable. It stores the name, if any, of the organizational structure (company, department, entity, and so on) that approved the current stylesheet.

Related Topics

Roles

Tasks overview

User Interface terms - Info tab


Available check box

In the Info tab, the Available check box allows you to specify whether the current stylesheet is available for use in a content-providing program.

  • (selected) means the current stylesheet is available for selection the dialog boxes. In the Stylesheets pane, the Shown column shows Yes.

  • (cleared) means the current stylesheet is not available for selection in either dialog box. In the Stylesheets pane, the Shown column shows No.

Related Topics

Roles

Tasks overview

User Interface terms - Info tab


Comment

In the Info tab, the Comment field stores any comments one wants to add regarding the use of the stylesheet.

  • The Designer usually gives the stylesheet the name and its description.

  • The Manager will add the comment based on the use he or she envisages for the stylesheet in the language project.

Related Topics

Tasks overview

User Interface terms - Info tab


Description

In the Info tab, the Name field stores the description of the stylesheet. The Designer usually types a name and description, and approves the stylesheets.

Note

  • The Description field in the Publication Info tab is for the publication you will export.

Related Topics

Tasks overview

User Interface terms - Info tab


Name

In the Info tab, the Name field stores the name of the stylesheet. The Designer usually types a name and description, and approves the stylesheets.

The name should include some indication of the layout, such as OneColumn or TwoColumn, or other useful information.

Related Topics

File management

Tasks overview

User Interface terms - Info tab


User Interface terms - Properties

User Interface terms - Properties tabs

Here are terms you see in the Properties tabs (Stylesheet pane) as field labels. They are listed according to the selection in the Navigation pane. Currently, only the Paper and Others areas have stylesheets.

Paper | Others (EBook)
Page Size | Font Size
Page Margin | Line Height
Columns | Text Alignment
Column Gap | Include Images
Justified | Maximum Image Width
Vertical Justify | TOC Level
Disable widow & orphan control | No page breaks within letters
Pictures | Embed Fonts in Document
Line Spacing | Also Embed Font Variants check box
Fixed Line Height | If font is missing
Running Header | If restricted
Guideword Length | Fallback font
Center Tile in Header |
Page Numbers |
Divider Lines |
Base Font Size | Web
Files Produced | See: Set up Web overview.
Sense Layout |
Split File by Letter |

Related topics

Destination

Display the appropriate list of stylesheets

Properties (stylesheet)

User Interface terms overview


Also Embed Font Variants

With the EBook (epub) stylesheet (or a copy) selected in the Stylesheets pane, the Properties tab shows the Also Embed Font Variants field. Font variants include bold, italics, small caps and so on.

  • For a custom stylesheet, it is available when Embed Fonts in Document is selected ( [image]).
    Then, you can do the following with the Also Embed Font Variants check box:

    • Select ( [image]) to include the font variants in the output file.

    • Clear ( [image]) to not include the font variants from the output file.

In this case, the output is smaller, and the EBook reader will make its best attempt to apply the attributes of the variants where they had appeared in the source data. Different EBook readers may have different results.

Related Topics

E-Book (.epub)

Stylesheets pane

User Interface terms - Properties


Base Font Size

When Paper is selected in the Navigation pane, the Properties tab shows the Base Font Size field.

In a custom stylesheet you can select a font size.

  • You can select point sizes such as 12, 11, 10, 9, or No Change:

    • No Change means that the font sizes specified by your content-providing program are not changed.

Important

  • Select a size that is appropriate for the Line Spacing you will use.

    • Standard stylesheets typically set the base font size one, two, or three points smaller than the line spacing. Stylesheets for drafts may specify a larger line spacing, so space is available for hand-written comments.

  • Stylesheets can use your selection to calculate for other font sizes. For example, a dictionary stylesheet could set the font size for homograph numbers to 55% of the base font size.

  • Some publishers have restrictions on font sizes used in large documents. The larger the point size, the more paper it will take to print a publication, so it is important to know their requirements or restrictions.

Tip

  • For EBook, see Font Size.

Related Topics

Style names in the output file

Tasks overview

User Interface terms - Properties tab


Book Title

The Book Title field is in the Publication Info tab in both the Set Defaults and Export Through Pathway dialog boxes. It stores the name of the Book which is the data in the export file.

  • You need to enter or type the title of the publication manually.

Uses of the content stored in this field

  • In the Font Matter tab, if you select ( [image])

    • Include the book's title in the image, it will appear on the cover page.

    • Title Page (page with Book's title), it will appear on that title page.

Related Topics

Center Title in Header

Tasks overview

User Interface terms - Set Defaults and Export Through Pathway dialog boxes


Center Title in Header

For a custom stylesheet, you can clear ( [image]) or select ( [image]) Center Title in Header. This check box appears in the Properties tab.

  • If cleared ( [image]), the book title does not appear in the header.

  • If selected ( [image]), here are the results:

    • The book title will appear in the center of the header on each page.

    • If the Page Numbers control is set to Top Center, Pathway will change that control to another location, such as Top Inside Margin. This will prevent the book title and the page number from appearing in the same location in the header.

You may want to review that change. If necessary, use the Page Numbers control to select another location.

Related Topics

Page Numbers

Tasks overview

User Interface terms - Properties tab


Column Gap

When Paper is selected in the Navigation pane, the Properties tab shows the Column Gap field.

The Column Gap field shows the following:

  • For standard stylesheets, typically the absolute value of 12pt is displayed. You cannot change it.

  • For custom stylesheets, you could specify a relative value or an absolute value.

A red exclamation point ( [image]) appears if you type a value that is not possible or outside of the range (6pt to 72pt) set by the program.

Note

  • The combination of the Column Gap selection and the Inside Margins and Outside Margins cannot exceed half the width of the page.

  • Column gap (also called Gutter width) is defined as the width of the space between columns.

Related Topics

Tasks overview

User Interface terms - Properties tab


Columns

When Paper is selected in the Navigation pane, the Properties tab shows the Columns field.

For a custom stylesheet, you can select the number of columns that you want to use in the output file.

  • You can select 1 or 2 (columns).

    • If you select 2, then you need to specify a column gap.

You cannot add another option, such as a third column, using User Interface features. If three columns are required, either request this feature, or create a custom installation.

Related Topics

Tasks overview

User Interface terms - Properties tab


Cover Image

In the Properties tab, you can select a picture that you want to use for the image the cover page. It is usually the first page you see in the EBook reader.

Related Topics

User Interface terms - Properties


Divider Lines

When Paper is selected in the Navigation pane, the Properties tab shows the Divider Lines field.

In a custom stylesheet you can select Yes or No.

Yes means that divider lines are displayed:

  • the horizontal line below the headers

  • the horizontal line above the columns

  • the vertical line between columns, if there are two columns.

Note

  • Divider lines are also called rules or column rules.

  • Currently, you cannot specify their properties, such as column rule style, color, or width.

Related Topics

Tasks overview

User Interface terms - Properties tab


Disable widow & orphan control

When Paper is selected in the Navigation pane, the Properties tab shows the Disable widow & orphan control field. This check box is cleared ( [image]) by default.

For a custom stylesheet, you can select or clear the check box:

  • If selected ( [image]), the columns will balance at the bottom even if just one line of a paragraph is present.

  • If cleared ( [image]), there will always be at least two lines of a paragraph at the bottom (or top) of a column.

Related Topics

Tasks overview

User Interface terms - Properties tab


Embed Fonts in Document

With the EBook (epub) stylesheet (or a copy) selected in the Stylesheets pane, the Properties tab shows the Embed Font in Document field.

  • For a custom stylesheet, you can do the following:

    • Select ( [image]) to include the font in the output file.

In this case, the Also Embed Font Variants check box, If font is missing, If restricted, and Fallback Font fields are available.

    • Clear ( [image]) to not include the font from the output file.

In this case, the other check box and fields are not available.

Important

  • For SIL fonts, you can embed them according to the SIL Open Font License (OFL). See: http://scripts.sil.org/cms/scripts/page.php?item_id=OFL.

  • http://www.adobe.com/products/type/font-licensing/font-embedding-permissions.html describes other font embedding permissions.

Related Topics

E-Book (.epub)

Stylesheets pane

User Interface terms - Properties


Fallback Font

With the EBook (epub) stylesheet (or a copy) selected in the Stylesheets pane, the Properties tab shows the Fallback Font field.

  • For a custom stylesheet, it is available when Embed Fonts in Document is selected ( [image]).
    Select the font you want to use as the substitute when both of these are true:

    • The source text points to a font that is not installed on the current computer.

    • Use Fallback Font is selected in the If font is missing field or If restricted field.

Important

  • For SIL fonts, you can embed them according to the SIL Open Font License (OFL). See: http://scripts.sil.org/cms/scripts/page.php?item_id=OFL.

  • http://www.adobe.com/products/type/font-licensing/font-embedding-permissions.html describes other font embedding permissions.

Related Topics

E-Book (.epub)

Stylesheets pane

User Interface terms - Properties


Files produced

When Paper is selected in the Navigation pane, the Properties tab shows the Files produced field.

In a custom stylesheet you can select one of these options:

  • One - to put the entire dictionary into a single file.

  • One Per Letter - to make one file for each letter in alphabet.

Related Topics

Tasks overview

User Interface terms - Properties tab


Fixed Line Height

When Paper is selected in the Navigation pane, the Properties tab shows the Fixed Line Height field.

This check box is cleared ( [image]) by default.

For a custom stylesheet you can select or clear the check box:

  • If selected ( [image]), the line height is fixed. This is especially important if fonts with different line-height requirements are mixed in a paragraph. If the line height is not fixed, then lines may appear to have more or less space between them giving an uneven look to the paragraphs.

  • If cleared ( [image]), each line will take just as much space as it needs for the content on that line. When all the text is in SIL Charis all lines should have the same spacing. You may still want to use fixed line height to reduce the space between lines or use SIL Charis Compact.

Related Topics

Tasks overview

User Interface terms - Properties tab


Font Size

With the EBook (epub) stylesheet (or a copy) selected in the Stylesheets pane, the Properties tab shows the Font Size field.

For custom stylesheets, you can type the desired font size in points.

Tip

  • Font Size affects line height.

  • For non-EBook stylesheets, see Base Font Size.

Related Topics

E-Book (.epub)

Stylesheets pane

Tasks overview

User Interface terms - Properties tab

Related Internet Sites

http://dublincore.org/documents/usageguide/elements.shtml


Guideword Length

When Paper is selected in the Navigation pane, the Properties tab shows the Guideword Length field.

In a custom stylesheet, you can enter a numerical value that is the maximum length of the guide words.

Related Topics

Tasks overview

User Interface terms - Properties tab


If font is missing

With the EBook (epub) stylesheet (or a copy) selected in the Stylesheets pane, the Properties tab shows the If Font is missing field.

  • For a custom stylesheet, it is available when Embed Fonts in Document is selected ( [image]).
    If a source file points to a font that is not installed on the current computer, you need to tell Pathway what to do. Select one of these options:

    • Use Fallback Font

    • Prompt User

    • Cancel Export.

Important

  • For SIL fonts, you can embed them according to the SIL Open Font License (OFL). See: http://scripts.sil.org/cms/scripts/page.php?item_id=OFL.

  • http://www.adobe.com/products/type/font-licensing/font-embedding-permissions.html describes other font embedding permissions.

Related Topics

E-Book (.epub)

Stylesheets pane

User Interface terms - Properties


If restricted

With the EBook (epub) stylesheet (or a copy) selected in the Stylesheets pane, below Embedded Fonts in the Properties tab is the If restricted field.

  • For a custom stylesheet, it is available when Embed Fonts in Document is selected ( [image]).
    If a source file points to a font that is restricted or read only, you need to tell Pathway what to do. Select one of these options:

    • Embed Font Anyway

    • Use Fallback Font

    • Prompt User

    • Cancel Export.

Important

  • For SIL fonts, you can embed them according to the SIL Open Font License (OFL). See: http://scripts.sil.org/cms/scripts/page.php?item_id=OFL.

  • http://www.adobe.com/products/type/font-licensing/font-embedding-permissions.html describes other font embedding permissions.

Related Topics

E-Book (.epub)

Fallback Font

Stylesheets pane

User Interface terms - Properties


Include Images

With the EBook (epub) stylesheet (or a copy) selected in the Stylesheets pane, the Properties tab shows the Include Images check box.

For custom stylesheets, you can type choose to include ( [image]) or exclude ( [image]) all the images in the source data.

  • If you included the images verify the Maximum Image Width.

Related Topics

E-Book (.epub)

Stylesheets pane

User Interface terms - Properties tab

Related Internet Sites

http://dublincore.org/documents/usageguide/elements.shtml


Justified

When Paper is selected in the Navigation pane, the Properties tab shows the Justified field.

For a custom stylesheet, you can choose one of the following:

  • Yes -the text will be aligned at the trailing margin.

  • No - the trailing margin will be ragged (not aligned).

Note

Here trailing margin refers to the right margin for left-to-right writing systems, or the left margin for right-to-left writing systems.

In typography, when a line of text is justified, the spaces between words, and, to a lesser extent, between glyphs or letters, are stretched or compressed to make them align at both the left and right ends of each line of text.

Related Topics

Tasks overview

User Interface terms - Properties tab


Line Height

With the EBook (epub) stylesheet (or a copy) selected in the Stylesheets pane, the Properties tab shows the Line Height field.

For a custom stylesheet, you can type a number as a percentage of the font size. The default setting is 125%.

Related Topics

E-Book (.epub)

Stylesheets pane

User Interface terms - Properties tab

Related Internet Sites

http://dublincore.org/documents/usageguide/elements.shtml


Line Spacing

When Paper is selected in the Navigation pane, the Properties tab shows the Line Spacing field.

In a custom stylesheet you can select the spacing between lines.

  • You can select point sizes of 11, 12, 13, 14, 16, 24, or No Change.

    • No Change means that the line spacing sizes specified by your content-providing program are not changed.

Important

  • Select a size that is appropriate for the Base Font Size you will use.

    • Standard stylesheets typically set the base font size one, two, or three points smaller than the line spacing. Stylesheets for drafts may specify a larger line spacing, so space is available for hand-written comments.

  • In typography, leading, pronounced ˈlɛdɪŋ, refers to the amount of added vertical spacing between lines of type. In Pathway, Line Spacing is used instead of leading.

Related Topics

Tasks overview

User Interface terms - Properties tab


Maximum Image Width

With the EBook (epub) stylesheet (or a copy) selected in the Stylesheets pane, the Properties tab shows the Maximum Image Width field. The default width value is 600 pixels.

If you include images in a custom stylesheet, you can type a different value (in pixels).

  • If an image is narrower, the image is not changed.

  • If the image is wider, then the image is scaled down to the maximum default width value. The aspect ratio of the image is maintained.

Important

  • You may need to set a smaller default width value. For example, if you need to scroll or resize the reader window to see an entry that has a picture, the picture may be too large.

Related Topics

E-Book (.epub)

Stylesheets pane

User Interface terms - Properties


No page breaks within letters

With the EBook (epub) stylesheet (or a copy) selected in the Stylesheets pane, the Properties tab shows the No page breaks within letters field. It uses a check box.

  • If selected ( [image]), each letter will be output as a single file.

Normally the file size is limited so that the e-book will display on e-readers with limited memory.

With this option selected, if the dictionary has a letter with a large number of entries, it will be stored as a single file and the e-reader will be required to manage the large file.

In this case, you need to test the output on the most limited e-reader used by your target audience.

  • If cleared ( [image]), the output will be multiple-smaller files.

Related Topics

E-Book (.epub)

Split File by Letter

Stylesheets pane

User Interface terms - Properties


Page Margin

When Paper is selected in the Navigation pane, the Properties tab shows the Paper Margin field.

For a custom stylesheet, you can type a relative or absolute value for each margin individually.

Related Topics

Tasks overview

User Interface terms - Properties tab


Page Numbers

When Paper is selected in the Navigation pane, the Properties tab shows the Page Numbers field.

For a custom stylesheet, you can select where on the page you want the page number to appear. Be aware that on the first page that has data, the page number is on the bottom center by default.

Also, if you select ( [image]) Center Tile in Header, Pathway will change the Page Numbers selection if it was set to Top Center.

The page number options differ depending on your Running Header selection:

Running Header selection | Page Numbers
Mirrored |
Every Page |

Related Topics

Center Title in Header

Tasks overview

User Interface terms - Properties tab


Page size

When Paper is selected in the Navigation pane, the Properties tab shows the Paper Size field.

Here are paper sizes you can select for a custom stylesheet.

International paper size standard, ISO 216

Paper size | Page Dimensions (mm) | Page Dimensions (rounded inches)
A4 | 210 × 297 | 8.3 × 11.7
A5 | 148 × 210 | 5.8 × 8.3
C5 | 162 × 229 | 6.4 × 9.0
A6 | 105 × 148 | 4.1 × 5.8

North American paper sizes:

Paper size | Page Dimensions (rounded mm) | Page Dimensions (inches)
Letter | 216 × 279 | 8.5 × 11
Half-letter | 140 × 216 | 5.5 × 8.5
6 in. x 9 in. | 152 x 229 | 6.0 x 9.0

Note

  • The above tables are not exhaustive as there are various extensions to the ISO standard, and other standards also exist.

  • Source: http://en.wikipedia.org/wiki/Paper_size

Related Topics

Tasks overview

User Interface terms - Properties tab


Running Header

When Paper is selected in the Navigation pane, the Properties tab shows the Running Header field.

In a custom stylesheet, you can choose the display option for guide words (head words).

Display options:

  • Every Page

  • Mirrored

To see how an option displays the header content, click a standard stylesheet that uses that option, and then click Preview on the toolbar, or the button ( [image]) in a dialog box.

Note

  • Page Numbers and Center Title in Header choices may be changed to prevent conflict with page numbers and headers.

Related Topics

Center Title in Header

Guide Words

Page Numbers

Tasks overview

User Interface terms - Properties tab


Pictures

When Paper is selected in the Navigation pane, the Properties tab shows the Pictures field.

For custom stylesheets, you can choose one of the following:

  • Frame - a single picture will be shown in a frame which you can manually reposition in the output file. Initially, it is aligned to right. Multiple pictures will be show in paragraphs generally flowing with the text, aligned to the middle.

  • Picture - a single picture and multiple pictures will be shown in paragraphs generally flowing with the text, aligned to the middle.

  • No - to exclude any pictures from the output file.

Tip

  • You will probably need to experiment with various setting to get the best results.

  • You are usually able to reposition pictures included in the output file, such as in LibreOffice (a destination). Some could use Prince to convert and edit the output file.

Related Topics

Image width, Maximum

Intellectual Property

Tasks overview

User Interface terms - Properties tab

Related Web sites

http://pathway.sil.org/features/content/


Sense Layout

When Paper is selected in the Navigation pane the Properties tab shows the Sense Layout field.

In a custom stylesheet you can choose one of the following:

  • Bullet means that a bullet will appear with each lexical sense.

    • Currently, you cannot specify properties of the bullet, such as font, style, color, and so on.

  • No Change means that the numbers or bullets you used in the content-providing program are also used in the output file.

Related Topics

Tasks overview

User Interface terms - Properties tab


Text Alignment

With the EBook (epub) stylesheet (or a copy) selected in the Stylesheets pane, the Properties tab shows the Text Alignment field.

For a custom stylesheet, you can select Left, Right, or Justify.

Related Topics

E-Book (.epub)

Stylesheets pane

User Interface terms - Properties tab

Related Internet Sites

http://dublincore.org/documents/usageguide/elements.shtml


TOC Level

With the EBook (epub) stylesheet (or a copy) selected in the Stylesheets pane, the Properties tab shows the TOC Levels (Table of Contents) field.

For a custom stylesheet, you can select one of these options:

Letter Only - the EBook reader TOC shows only a flat list of the first letters of the lexical entries in alphabetical order.

Letter and Entry - the EBook reader TOC shows a two-level hierarchial list:

  • the first level lists the first letters of the lexical entries in alphabetical order,

    • the second level lists all the lexical entries that begin with that letter.

Letter, Entry and Sense - the EBook reader TOC shows a three-level list:

  • the first level lists the first letters of the lexical entries in alphabetical order,

    • the second level lists the headwords of the lexical entries that begin with that letter,

      • the third level can list different sense-level content, depending on the configuration of the FieldWorks Language Explorer Dictionary view, and the content in each sense or subsense.

Tip

  • Sense-level content that appears in the third level can be grammatical information, sense number, gloss, or other. Factors that determine what is displayed include (not exhaustive) whether the entry has more than one sense, and if it does, are the parts of speech the same for each sense. Is a part of selected in each senses, and so on.

  • Use the Configure Dictionary View dialog box features in Language Explorer to configure the display of senses.

Related Topics

E-Book (.epub)

Stylesheets pane

User Interface terms - Properties


Vertical Justify

When Paper is selected in the Navigation pane, the Properties tab shows the Vertical Justify field.

For a custom stylesheet, you can choose:

  • Top to align the top edge to the upper page margin.

  • Center to align the center of the object to the vertical center of the page.

  • Bottom to align the bottom edge to the lower page margin.

Related Topics

Tasks overview

User Interface terms - Properties tab


User Interface terms - Set Defaults

User Interface terms - Set Defaults and Export Through Pathway dialog boxes

Here are some terms (field labels) you see in the tabs in both the Set Defaults dialog box and Export Through Pathway dialog box.

Publication Info tab | Front Matter tab | Processing Options
Book Title | Cover Image Page | Processing Options tab
Description | Title Page |
Creator | Copyright Information Page |
Publisher |  |
Copyright Holder |  |

Important

  • Set Defaults and Export Through Pathway are two instances of the same dialog box. The name indicates how it was opened:

    • Set Defaults opens from the Pathway Configuration Tool.

    • Export Through Pathway opens from content providing-programs.

Related Topics

Specifying metadata

User Interface overview


Copyright Holder

The Copyright Holder field is in the Publication Info tab, which is in both the Set Defaults and Export Through Pathway dialog boxes.

It stores the copyright symbol, organization name, and statement regarding copyright.

  • The selection in the Select Your Organization dialog box populate this field with approved content. You can edit it as necessary.

    • If you use the Organization Name dialog box, must manually edit it.

Uses of the content stored in this field

  • It is included as metadata in export file.

    • For example, if you export to LibreOffice, it appears in the Properties dialog box which you open from LibreOffice when the export file is open it there.

  • If you select ( [image]) Copyright Information Page on the Front Matter tab, and you select Intended for Sale, then a page is added that displays the content of this field. See: Copyright Information Page.

Related Topics

Choosing a rights statement overview

Intellectual Properties (Copyright)

Licenses - Examples

User Interface terms - Set Defaults/Export Through Pathway dialog boxes


Copyright Information Page

The Copyright Information Page check box is in the Front Matter tab in both the Set Defaults and Export Through Pathway dialog boxes. This page is also referred to by other terms including, Verso, Colophon page, Edition Notice page, or Copyright page.

Uses of the check box and button

  • If you select ( [image]) Copyright Information Page, then a page is included in your export file that displays copyright information:

    • If you select ( [image]) Standard Right Statement, you can select one of these statements: Draft, Non-Commercial Share Alike, or Intended for Sale.

The path to the file with the standard copyrights statement appears in the Custom box, and statement is included with the export file.

    • If you select Custom, you can click the ellipsis button ( [image]) and select a customized copy rights statement.

Important

  • The Draft file displays a statement that the document is not in its final form and that it will be superceded.

  • The Non-Commercial Share Alike file refers to http://creativecommons.org/licenses/by-nc-sa/3.0/.

  • The Intended for Sale file only contains the heading "Copyright information". The Copyright Holder symbol and statement are added below that header.

Related Topics

User Interface terms - Set Defaults/Export Through Pathway dialog boxes


Cover Image Page

The Cover Image Page check box is in the Front Matter tab in both the Set Defaults and Export Through Pathway dialog boxes. There is an associated Select button.

Uses of the check box and button

  • If you select ( [image]) Cover Image Page, then a page is included in your export file that displays the image you see in the thumbnail preview. Click the Select button to choose the image.

  • If you select ( [image]) Include the book's title in the image, the book title you entered appears on the cover page, in the image.

Related Topics

User Interface terms - Set Defaults/Export Through Pathway dialog boxes


Creator

The Creator field is in the Publication Info tab in both the Set Defaults and Export Through Pathway dialog boxes.

It stores the name of the person, corporation or entity that is responsible for the creation of the data you will export.

Uses of the content stored in this field

  • It is included as metadata in export file.

    • For example, if you export to LibreOffice, it appears in the Properties dialog box which you open from LibreOffice when the export file is open.

Related Topics

User Interface terms - Set Defaults/Export Through Pathway dialog boxes


Description (Publication)

This Description field is in the Publication Info tab in both the Set Defaults and Export Through Pathway dialog boxes. It stores the description of the publication. You need to enter or type the description of the publication manually.

Uses of the content stored in this field

  • It is included as metadata in export file.

  • For example, with EBook (.epub), the e-book reader will typically display the description along with the document’s other metadata and properties.

    • For instructions on how to view the properties of a document in your e-book reader, please refer to your e-book reader’s help.

Note

  • The Description field in the Info tab is for the selected stylesheet.

Related Topics

Tasks overview

User Interface terms - Set Defaults/Export Through Pathway dialog boxes


Publisher

The Publisher field is in the Publication Info tab in both the Set Defaults and Export Through Pathway dialog boxes. It stores the name of the publisher of the data in the export file.

  • The selection in the Select Your Organization dialog box populate this field with approved content.

  • If you use the Organization Name dialog box, the organization name you entered appears in the field. You to type or paste the publisher name manually.

Uses of the content stored in this field

  • In the Front Matter tab:

    • If you select ( [image]) Title Page (page with book’s title), it will appear on that title page.

  • It is included as metadata in export file.

    • For example, if you export to LibreOffice, it appears in the Properties dialog box which you open from LibreOffice when the export file is open it there.

Related Topics

Tasks overview

User Interface terms - Set Defaults/Export Through Pathway dialog boxes


Title Page

The Title Page check box is in the Front Matter tab in both the Set Defaults and Export Through Pathway dialog boxes.

Uses of the check box

  • If you select ( [image]) Title Page (page with book's title), then a page is included in your export file that displays the book title and publisher you entered.

Related Topics

User Interface terms - Set Defaults/Export Through Pathway dialog boxes


Tasks overview

These overview topics list things you can do:

  • Basic Tasks overview lists tasks such as adding stylesheets, setting default selections, choosing or creating rights statements, and so on.

  • Dictionary Tasks overview lists tasks specific to dictionary data.

  • Set up Web overview gives some basic assistance for when you are working with a stylesheet that will be used with a web hosting service.

How do I....

  • Use Pathway from within FieldWorks Language Explorer? See: Export Through Pathway dialog box.

  • Archive the data exported through pathway? See: Archive data through Pathway.

Related Topics

Concepts overview

Pathway overview

User Interface overview


Archive data through Pathway

You can export data through Pathway to any available destination. Pathway generates an equivalent <name>.ramp file which you can import into RAMP (SIL). It is in the same file folder as the other output file.

  • RAMP is only available for download in Insite (SIL only) — in Insite, search for REAP (Repository for Electronic Archiving and Publishing).

There you can also find the RAMP Users' Manual, other documentation and more.

  • See Also: RAMP Metadata.

Related Topics

Tasks overview

Related Internet Sites

http://www.sil.org/resources/language-culture-archives/about-the-archives


Basic Tasks overview

"Basic Tasks" are things you do with stylesheets. Dictionary Tasks overview and Set up Web overview list additional (more specific) tasks.

Basic Tasks:

  • Add a new stylesheet

  • Archiving data through Pathway

  • Change User Interface (UI) language

    • Using Localize User Interface dialog box

  • Choosing a rights statement overview

    • Choosing a rights statement SIL International

    • Choosing a rights statement - Other Organizations

  • Copy a stylesheet

  • Create a custom rights statement

  • Defaults, setting

  • Display the appropriate list of stylesheets

  • Edit a stylesheet

  • Formatting booklets

  • Letter headers

  • RAMP metadata

  • Sending stylesheets

  • Share a UI language file

  • Specifying metadata

  • Specifying page size

How do I....

  • Use Pathway from within FieldWorks Language Explorer? See: Export Through Pathway dialog box.

Related Topics

Tasks overview

Related Web sites

http://code.google.com/p/typeset-dictionary/wiki/DictionaryProcessOverview

http://pathway.sil.org/features/content/


Add a new stylesheet

  1. Display the appropriate list of stylesheets.

  2. On the toolbar, click New, or press the shortcut keys Alt +N.

    A new custom stylesheet is added. Its default values are from Default.css.

  3. Click the Info tab, and then do the following:

    • Type the name of the stylesheet.

    • Type the description of the stylesheet.

    • If you want to make the stylesheet available, select ( [image]) Available check box.

    • Type a comment (optional) about the stylesheet, such as its intended use.

  4. Click the Properties tab, and then do the following:

    • Type a new value or make a different selection in each field that you need to change.

Related Topics

Basis Tasks overview

Copy a stylesheet

Edit a stylesheet

User Interface terms - Info tab

User Interface terms - Properties tab


Change User Interface language

When you change the User Interface (UI) language, the menu commands, labels, tooltips, and so on are shown in another language.

  1. On the Help menu, click User Interface.

The User Interface Language dialog box opens.

  2. In the dialog box, chose any of the following:

    • User Interface language

    • Font

    • Font size

Preview shows you as sample of the UI language, based on your choices.

  2. If the desired language is not in the User Interface Language drop-down list, do one of the following:

    • Get a shared file from another user.

    • Click I want to localize Pathway for another language to use the Localize User Interface dialog box.

Related Topics

Basic Tasks overview

User Interface Language dialog box


Copy a stylesheet

  1. Display the appropriate list of stylesheets.

  2. In the Stylesheets pane, click the stylesheet you want to copy.

  3. On the toolbar, click Save As, or press the shortcut keys Alt+A.

    The selected stylesheet is copied as a custom stylesheet.

  4. Click the Info tab, and then do the following:

    • Edit the name of the stylesheet.

    • Type the description of the stylesheet.

    • If you want to make the stylesheet available, select ( [image]) Available check box.

    • Type a comment (optional).

  5. Click the Properties tab, and then do the following:

    • Type a new value or make a different selection in each field that you need to change.

Related Topics

Basis Tasks overview

Edit a stylesheet

User Interface terms - Info tab

User Interface terms - Properties tab


Display list of stylesheets

Display the appropriate list of stylesheets

Before you work with a stylesheet (edit, copy, send, add, set default values, and so on), make sure the appropriate list of stylesheets is displayed in the Stylesheets pane. Otherwise, you could inadvertently work with the wrong stylesheet.

  • In the Navigation pane, click one of the following:

    • Paper

    • Mobile

    • Web

    • Others

Related Topics

Available check box

Basis Tasks overview

Destination

Standard versus custom


Edit a stylesheet

  1. Display the appropriate list of stylesheets.

  2. In the Stylesheets pane, click the stylesheet you want to edit.

    • If needed, copy a standard stylesheet or custom stylesheet, and then edit the copy.

  3. In the Stylesheet pane, click the Info tab, and then do any of the following:

    • Type the name of the stylesheet.

    • Type the description of the stylesheet.

    • If you want to make the stylesheet available, select ( [image]) Available check box.

    • Type a comment (optional).

  4. For a custom stylesheet, click the Properties tab, and then do the following:

    • Type a new value or make a different selection in each field that you need to change.

Related Topics

Basic Tasks overview

Dictionary tasks overview

Standard versus custom

User Interface terms - Info tab

User Interface terms - Properties tab


Letter headers

The letter headers that you see in a dictionary output file are not controlled by or in Pathway. These are set in FieldWorks Language Explorer (FLEx). Letter headers are controlled by the sort method of the vernacular writing system.

Currently, letter headers will only work properly if the sort sequence uses the Custom ICU Rules sorting approach. That’s because we parse the rules to determine letter headers.

Related Topics

Basic tasks overview


RAMP Metadata

This table shows how Pathway sets some of the RAMP metadata when you archive data. In RAMP, you will want to verify the metadata. Some will appear in English by design, and other is intentially multi-lingual or language specific.

You will find more lines in RAMP. Some are required (e.g. | Work Stage); others are optional (e.g. Additional Titles) or recommended (e.g. Contributors).

Ramp Field

Sources

Title

Book Title field in the Publication Info tab (Set Defaults dialog box)

Broad Type

Wider Audience

Mode

Pathway selects Text.

Scholarly Work Type

Pathway selects Monograph.

Location and Subject Language

  • Y (to indicate it is concerned with a particular language)

  • (You need to specify the language.)

Content Language and Script

All current vernacular, pronunciation,and analysis writing systems

Contributors

Creator field in the Publication Info tab (Set Defaults dialog box), and Pathway selects compiler.

Date

The date you exported the data through Pathway.

Description

Pathway selects that there is a general description (Y), and inserts content from the Description field in the Publication Info tab (Set Defaults dialog box), and selects the language of the description.

Academic Domain

Linguistics

Key Words and Phrases

Foreign Literatures and Linguistics; Language Documentation; Dictionary; Reference, English.

Software Requirements

Font you used, and possibly software and schema information.

Rights

Copyright Holder field in the Publication Info tab (Set Defaults dialog box)

Information Sensitivity

Pubic

Access

  • Who may have access to presentation files: Public

  • Who may have access to the source files: Restricted to Insite users.

Electronic Files

Pathway inserts <name><date><comment>.css, and source files (XHTML, epub, and so on).

Related Topics

Archive data through Pathway

Basic Tasks overview


Choosing a rights statement overview

In the Front Matter tab in the Set Defaults and Export Through Pathway dialog boxes, you can choose a standard rights statement, or select a custom rights statement. Where applicable, your organization has supplied Pathway with the set of standard rights statements:

  • SIL International

  • Other Organizations

Related Topics

Basic tasks overview

Create a custom rights statement

Intellectual Property (Copyright) Info

Licenses - Examples


Create a custom rights statement

You can choose from several standard rights statements. If none of them are appropriate or to localize one into another language, create a custom statement.

  1. Open the Copyrights folder which is typically located here:

    • Windows: C:\Program Files\SIL\Pathway7\ or C:\Program Files (x86)\SIL\Pathway7\.

    • Linux: /usr/lib/pathway/.

  2. Copy the desired *.xhtml file, such as Custom_Template.xhtml.

    • Paste it into a folder that is outside of Program Files, such as one in My Documents (Windows) or outside of usr, such as one in Home (Linux).

    • Rename the file, but keep the .xhtml filename extension.

  3. Open that file in a text editor such as Notepad or ZEdit.

    Do not use Word to edit the file. That will create extraneous markup in the .xhtml file that can cause unexpected results.

    • Make the necessary edits to the statement, typically between these lines:

      <div id='LicenseInformation' class='Front_Matter'>

      and

      </div>.

    • Save your work.

    • Open the file in an Internet browser to verify your content and formatting.

  4. Have your statement reviewed by a legal counsel.

  5. Choose that custom rights statement in the Front Matter tab.

Note

  • If you store your a custom rights statement in the Copyrights folder it will be lost when you get a newer version of Pathway.

  • Request technical support if necessary.

  • Regarding the text direction (left-to-right, or right-to-left), the text direction is set in the license or statement file, not in PathWay.

    • If you create a custom statement or license for a majority/trade language that is right-to-left, you need to set that text direction in the xhtml file.

    • For Creative Commons (CC) licenses, some of this localization is already done. There are affiliate entities in a number of countries: http://wiki.creativecommons.org/CC_Affiliate_Network. Each affiliate typically has a set of license agreements that are legally binding in their area. Possibly, individual areas of SIL, or partner organizations, could create a license that meshes the CC license agreement in a custom license agreement.

Related Topics

Basic tasks overview


Choosing a rights statement - Other Organizations

Pathway has added several license agreements which you can add to your document. You select them in the Standard Rights Statement field, which is in Front Matter tab of the Set Defaults or Export Through Pathway dialog boxes.

The following logic flow should help you decide what license agreement is appropriate for your situation.

If the publication | Select this Standard Rights option
is a draft document intended for review or village testing | Standard Rights Statement
will be sold | Intended for Sale
will be shared and can be used to create a derived publication (for example, dictionary data being used for a language primer) | Non-Commercial Share Alike
will be shared, but no derived publications are allowed. | Non-Commercial No Derivatives

Important

  • The Draft file displays a statement that the document is not in its final form and that it will be superceded.

  • The Non-Commercial Share Alike file refers to http://creativecommons.org/licenses/by-nc-sa/3.0/.

  • The Intended for Sale file only contains the heading "Copyright information". The Copyright Holder symbol and statement are added below that header.

Note

  • If none of these are appropriate for your situation, create a custom rights statement.

  • If you will publish data using Pathway that has already been published, contact the original publishing entity to make sure the publication through Pathway does not violate existing publishing or license agreements.

Related Topics

Choosing a rights statement overview

Republishing


Choosing a rights statement - SIL International

In the Front Matter tab in the Set Defaults and Export Through Pathway dialog boxes, you can choose a standard rights statement, or select a custom rights statement.

For academic and vernacular publications were SIL holds rights:

  • If it is going to be sold, then use: © YYYY, SIL International. All rights reserved.

  • If it is going to be shared and can be used to create a derived publication, then use: © YYYY, SIL International. Redistributable under a CC: BY-NC-SA

  • If it is going to be shared but no derived publications are allowed, then use: © YYYY, SIL International. Redistributable under a CC:BY-NC-ND

Important

  • If you will publish data using Pathway that has already been published, contact the original publishing entity to make sure the publication through Pathway does not violate existing publishing or license agreements.

Related Topics

Choosing a rights statement overview

Republishing


Formatting booklets

-- This feature and topic is under development --

Related Topics

Basis Tasks overview

Tasks overview


Share a UI language file

When someone uses the Localize User Interface dialog box, a file is added or updated in this folder:

C:\Users\<user>\AppData\Local\SIL\Pathway\localizations (Windows)

/home/.local/share/SIL/Pathway/localizations (Linux)

Each *.tmx file stores user interface terms for a localization language. The file name includes the language identifier, such as Pathway.fr.tmx where fr is French.

Do the following share a localization file:

  1. Send or receive a copy of a *.tmx file in any of these ways:

    • As an e-mail attachment.

    • Use a drop-box or a shared network folder.

    • Use and share a USB Flash Drive (or similar).

  2. Recipients of a language file need to do the following:

    • Paste a copy into their Localizations folder.

    • Restart Pathway.

    • Change User Interface language to use that UI language.

Important

  • In the Localize User Interface dialog box, the How to distribute your translation work link opens the How To Distribute dialog box.

It has:

  • a link to the folder with the *.tmx files

  • the email address (issues@Pathway.palaso.org).

You can send a *.tmx file you completed. It can be included in a future version of Pathway.

  • If you have custom localization work that you want to use but not share, keep a separate copy of your customized *.tmx file somewhere. Then, replace the one that is installed, in any, when you install subsequent versions of Pathway.

Related Topics

Basic tasks overview

Localize User Interface dialog box


Sending stylesheets

You can use Pathway features to put a set of stylesheets in a compressed zip file and email it. You could do this to keep a recipient's set of stylesheets the same as yours. When you do the Send steps below, all the stylesheets in the displayed list are put in the zip file.

Important

  • You need to have a default mail client properly installed. Otherwise, the Pathway Configuration Tool will stop working as it tries to find the mail client.

Send

To send stylesheets to someone by email, do the following steps:

  1. Display the appropriate list of stylesheets.

  2. In the Stylesheets pane, click the stylesheet you want to send.

  3. On the toolbar, click Send, or press the shortcut keys Alt +E.

    Pathway does the following actions:

    • Creates and exports a zip file to your computer's hard drive.

    • Opens your default email program.

  4. In your email program, do the following:

    • Attach the zip file to the email.

    • Type the recipients email address, and any additional comments the body of the email.

    • Send the email.

Receive

As a recipient of an email with a zip file, extract the zip contents to a folder on your hard drive, and then copy the files into the correct folders as listed below.

Dictionary stylesheets:

  1. Copy the two settings files, DictionaryStyleSettings.xml and StyleSettings.xsd, to the path

    Windows 7 and 8:

    • C:\Users\All Users\Application Data\SIL\Pathway\Dictionary

    Ubuntu 12.04 (precise):

    • ~/.local/share/SIL/Pathway/Dictionary.

  2. Copy the all css files to the path

    Windows 7 and 8:

    • C:\Users\All Users\Application Data\SIL\Pathway\Dictionary

    Ubuntu 12.04 (precise):

    • ~/.local/share/SIL/Pathway/Dictionary.

Scripture stylesheets:

  1. Copy the two settings files, ScriptureStyleSettings.xml and styleSettings.xsd, to the path

    Windows 7 and 8:

    • C:\Users\All Users\Application Data\SIL\Pathway\Scripture

    Ubuntu 12.04 (precise):

    ~/.local/share/SIL/Pathway/Scripture

  2. Copy the all css files to the path

    Windows 7 and 8:

    • C:\Users\All Users\Application Data\SIL\Pathway\Scripture

    Ubuntu 12.04 (precise):

    ~/.local/share/SIL/Pathway/Scripture

Related Topics

Basic tasks overview

Configuration files

File Management


Setting default selections

The selections you make in the dialog boxes below are the initial selections (the defaults) that appear in the equivalent dialog boxes (more) when you export data from a content-providing program.

Some can become RAMP Metadata.

  1. Display the appropriate list of stylesheets.

  2. On the toolbar, click Defaults, or press the shortcut keys Alt +F.

    The Select Your Organization dialog box appears if you have not previously selected your organization. If you have, then the Set Defaults dialog box appears.

  3. Use the features in the Select Your Organization dialog box, and then click OK.

    The Set Defaults dialog box appears.

  4. Use the features in the Set Defaults dialog box, and then click OK.

Related Topics

Available check box

Basic tasks overview

Content-providing program

Dialog boxes overview

EBook (epub)

Intellectual Property (IP)


Specifying metadata

  1. Open the Set Defaults (or the Export Through Pathway) dialog box).

    • Select the desired destination and stylesheet, and then click the More button.

    • Make appropriate selections or type metadata in the fields in the available tabs.

  2. For stylesheet metadata, refer to the Stylesheet pane.

Related Topics

Basic tasks overview

Edit a stylesheet

Front matter and back matter

Properties

User Interface terms - Properties tab


Specifying page size

For custom stylesheets, you can select a page size.

  1. Display the appropriate list of stylesheets.

  2. In the Stylesheets pane, click the custom stylesheet for which you want to specify a page size.

  3. Click the Properties tab.

  4. Click the Page Size arrow, and then select a size.

Related Topics

Basis Tasks overview

Edit a stylesheet

Properties

User Interface terms - Properties tab


Using Localize User Interface dialog box

Using the Localize User Interface dialog box

  1. Do one of the following to open this dialog box:

    • Click the I want to localize Pathway for another language hyperlink in the User Interface Language dialog box.

    • To open it to a particular instance of a UI term (item), press Alt+Shift and click the item in the UI. It must be available (not grayed-out).

  2. In the title bar (right pane), select the Source Language and Target Language.

  3. In the Groups pane, click a group, or a particular item if it is not already selected:

    • As needed, expand ( [image]) or collapse ( [image]) a node. Nodes have boxes with a plus or minus sign in them.

When a node is selected in the left pane, the right pane shows a grid of rows and columns. The columns show UI items in the languages that you selected on the title bar, and a Comment column. For the target language, the intersections of columns and rows are editable cells.

When an item is selected in the left pane, the right pane has the Item Identifier. Below it are boxes (places) where you can type or paste.

  4. If you clicked a node, click a row in the right pane that needs translation work.

  5. Do one of the following:

    • Type or paste one or more translations, and a comment about the translations (optional).

    • If you have an internet connection, click the Bing down-arrow [image], and then click one of the following:

      • Translate using Bing

        The translation is added to that row. Edit a translation if necessary.

      • Edit Source & Translate Using Bing to open the Edit Source Before Translating dialog box. Then, do the following:

        • Click the Translate From <source> to <target language> button.

        • As needed, edit the source language text in the top portion of the dialog box, and then click the button again to see a new translation.

        • When you are satisfied with the translation, click Copy <target> Text of Clipboard and Close.

        • Paste the clipboard contents into the grid cell or box where this translation needs to be added.

  6. Repeat any of the steps above as necessary.

  7. Click OK.

  8. Share a UI language file with other users (optional).

Related Topics

Basic tasks overview

Change User Interface language

Localize User Interface dialog box


Dictionary tasks overview

Tasks you can do for dictionaries, in addition to the Basic Tasks, include the following:

  • Bullets (for each lexical sense)

  • Entry formats

  • Head words in headers

  • Language Styles

  • Pictures with entries

  • Processing a dictionary

How do I....

  • Use Pathway from within FieldWorks Language Explorer? See: Export Through Pathway dialog box.

Related Topics

Letter headers

Setting default selections

Tasks overview

Related Web sites

http://code.google.com/p/typeset-dictionary/wiki/DictionaryProcessOverview


Bullets

If you want to show a bullet before each sense in a lexical entry, do the following:

  1. Display the appropriate list of stylesheets.

  2. In the Stylesheets pane, click the desired custom stylesheet.

  3. In the Stylesheet pane, click the Properties tab.

  4. In the Sense Layout field, select Bullet.

Important

  • In SIL FieldWorks, how the dictionary is configured affects bullets and their relation to other elements in the lexical entry.

Related Topics

Dictionary Tasks overview

Edit a stylesheet


Entry formats

From FieldWorks Language Explorer, you need to configure the dictionary entries or reversal index entries so that they contain the content, order, and formatting you want. Then, depending one which stylesheet you use, you may apply additional or different format elements, such as number of columns.

Related Topics

Dictionary Tasks overview

Edit a stylesheet

Processing a dictionary


Head words in headers

For custom stylesheets, you can select Mirrored or Every Page for the running header at the top of the pages.

  1. Display the appropriate list of stylesheets.

  2. In the Stylesheets pane, click the desired custom stylesheet.

  3. In the Stylesheet pane, click the Properties tab.

  4. In the Running Header field, select Mirrored or Every Page.

Related Topics

Dictionary Tasks overview

Edit a stylesheet

Guide words

Related Internet Sites

http://pathway.sil.org/features/content/


Language styles

In FieldWorks Language Explorer, configure the dictionary entries or reversal index entries so that they contain the content, order, and formatting you want. Then, depending one which stylesheet you use, you may apply additional or different format elements, such as number of columns.

Related Topics

Dictionary Tasks overview

Edit a stylesheet

Processing a dictionary


Pictures with entries

For custom stylesheets, you can control whether pictures in your dictionary data are included in the output file.

  1. Display the appropriate list of stylesheets.

  2. In the Stylesheets pane, click the desired custom stylesheet.

  3. In the Stylesheet pane, click the Properties tab.

  4. In the Pictures field, select Yes to include pictures, or No to exclude pictures.

Tip

  • Normally, exported pictures are positioned to the right of the dictionary entry. You may be able to reposition pictures included in the output, such as in LibreOffice. Advanced users could use Prince to convert and edit the output file.

Related Topics

Dictionary Tasks overview

Edit a stylesheet


Processing a dictionary

Language styles gives the general steps to prepare the data you will export.

Here are some additional considerations (not exhaustive):

  • If you will use the FieldWorksStyles stylesheet in Pathway, make sure the appropriate styles are set in Language Explorer (FLEx). (This stylesheet passes most of the style settings you specified in FLEx to the output file.)

    • While this stylesheet enables a nearly WYSIWYG output, some style adjustments might be needed in the output file. For example, you may need to manually reposition pictures.

  • The standard stylesheet named FieldWorksArabicBased is for a Arabic right-to-left writing systems.

  • For more information, such as presenting data on an Internet site ( [image] Web), see Set up Web overview and request technical help. See Also: Webonary.

Related Topics

Dictionary Tasks overview

Display the appropriate list of stylesheets

Edit a stylesheet

Pictures with entries


Set up Web overview

To send dictionary data to Webonary, you export an XHTML file directly from FieldWorks Language Explorer. That is, you do not need to use Pathway. Currently, this may be problematic for large dictionaries.

Alternatively, you can pass the data through Pathway to web hosting site that you chose, such as a site set up on HostGator or WordPress.org. In this case, select Web in the Navigation pane to use or copy stylesheets related to web sites. Pathway processes the XHTML file so that there is separate import command for every 10 entries. This allows you to post a dictionary of any size.

  • In the Pathway Configuration Tool, the Properties tab has boxes where you enter details that are necessary to send your data to a website.

See: Set up web stylesheet.

Tip

  • There are many different web hosting services. Further, you may be on your own and will need set up the website yourself, or you may be part of an organization that has an existing website you can use. These considerations are beyond the scope of these Pathway User Helps.

Related Topics

Tasks overview


Set up web stylesheet

Prerequisites

  • You or someone must set up a website with a web hosting service.

  • You must have the details from the hosting service available to enter into the Properties tab in Pathway.

To see the appropriate Properties tab, select Web in the Navigation pane, and then select the desired stylesheet in the StyleSheets pane. Then, do the following:

FTP Details

  • Enter the FTP address, user name, and password.

Source: the hosting service.

MySql Database Details

  • Enter the MySql server name/IP address, Database name, and user name and password.

Source: the hosting service.

Website Details

  • Enter the following details that are specific to the particular site where you will send your data:

    • Website url: The web address, or path to the website, which includes the domain name.

    • Admin Username and Admin Password: You are the administrator if you set up the web hosting service.

    • Site Title: This a brief text that you want to appear at the top of the web pages to identify the site contents. For example, you could type a language name followed by "Dictionary", in the language of the intended readers.

    • Email ID: This is the email address of the person who requested the website from the providing hosting service.

    • Ftp Folder Name: This name will be added to the end of the website url. It is the name after the last forwardslash (/).

Related Topics

Copy a stylesheet

Set up Web overview

Technical Support

Webonary

Related Internet Sites

http://en.wikipedia.org/wiki/Domain_Name

http://en.wikipedia.org/wiki/FTP

http://en.wikipedia.org/wiki/IP_address

http://en.wikipedia.org/wiki/MySQL

http://en.wikipedia.org/wiki/URL


Installation overview

Help topics that are related to installation of the program are the following:

Prerequisites

Downloading

Custom installation

Localization

Note

  • Make and use a USB Drive or CD-ROM installation package helps you make an installation package you can use to install Pathway and related software programs on computers that do not have access to the Internet.

Related Topics

Pathway overview

Technical Support


Downloading

The Pathway SE (Standard Edition) has stylesheets for use with Configured Dictionary data and Reversal Index data.

  1. Remove (uninstall) any previous version from your computer.

  2. Go to the Internet site listed below, and then do the following:

    • In the Search box, select Current Downloads, and then type .msi in the For box.

    • Click the appropriate setup file that has the latest date (in the filename) or most recent Uploaded time.

    • In the dialog box that appears, click Run or Save.

    • If your computer still has a version of the tool installed, click Remove to remove the program. Then, return to the Internet site and repeat the steps given above.

    • Follow the instructions in the installer.

Related Topics

Installation overview

Pathway overview

Prerequisites

Related Internet sites

http://pathway.sil.org/download/


Localization

See: Change User Interface language or User Interface Language dialog box.

Related Topics

Installation overview


Prerequisites

For Pathway Installation

  • Microsoft Windows® operating system

  • 42 MB of hard drive space for Pathway Configuration Tool

To use Pathway stylesheets

  • See: Related Software.

  • For other questions related to prerequisites, request technical support.

Related Topics

Installation overview

Destination

Related Software


Going Further overview

The following topics provide additional information.

  • Configuration Files

  • Custom installation

  • Discussions

  • Edit XeLaTex files

  • Errors and features

  • File management

  • Make and use a USB Drive or CD-ROM installation package

  • Related Software

  • Release Notes

  • Technical Support

  • Tutorials

Related Topics

Archive data through Pathway

Concepts overview

Pathway overview


Custom installation

As an advanced task for experienced individuals, a customized installation for a particular location can be made. Request technical support before you attempt this.

Currently, there are two settings files:

  • StyleSettings.xml is used when the program first starts. It keeps track of the font for the user interface and the last output selections used in the Navigation pane.

  • DictionaryStyleSettings.xml has the settings for working with Dictionary stylesheets.

These files are considered to be read-only files because they are installed by the installer, and changing them will cause problems when installing future versions of the program. Consequently, if you do change one of these files, the changed version needs to be saved appropriately in C:\ProgramData (Windows® 7/8).

Related Topics

Destination

Installation overview


Discussions

Common places where you can get help:

  • pathway@sil.org (email)

  • http://tech.groups.yahoo.com/group/typesetdictionary/ (User forum)

  • http://groups.google.com/group/flex-list?hl=en&pli=1 (FieldWorks discussion)

  • http://lingtransoft.info/ (Linguistic Software list)

  • http://tiki.lingtransoft.info/LingTranSoft+Wiki

Related Topics

Going Further overview

Pathway overview


Errors and features

See: Technical Support.

Related Topics

Going Further overview

Pathway overview


File management

Each time you use a stylesheet from a content-providing program, a set of folders and files is created on your hard drive.

Windows® OS

The default folder structure looks like this:

  • The My Documents\Publications folder has a folder that has the same name as the language project you published.

    • That folder contains a Dictionary folder.

      • That folder contains a folder that has the same name as the stylesheet you used, plus the date and time.

        • In each of these folders there is a copy of the output file and a <name>.ramp file (See: Archive data through Pathway).

Example

From SIL FieldWorks, a Sena 3 dictionary was published to Open Office.

Linux OS

The default folder is located at: Home\<username>\Publications.

Tip

  • You can rename <name>.ramp file to <name>.zip, and then extract the other files (stylesheet, mets.xml, and other files).

  • You can choose a different Save in folder in the Processing Options tab.

Related Topics

Destination

Going Further overview

Pathway overview


USB Drive or CD-ROM installation package

Make and use a USB Drive or CD-ROM installation package

Do the steps below to make and use a USB drive or CD-ROM that you can use when there is no access to the Internet to install Pathway and other required programs.

This installation package uses a bootstrap program. It looks for particular programs which are used with Pathway. If appropriate versions of those programs exist in the same folder as the bootstrap program and the are marked as Read-only, then the bootstrap program will use them instead of going to the Internet to look for them. For this to happen, you need to download the program into a folder.

Make the installation package

  1. Add a folder on the USB Drive or CD-ROM to store the programs you will download. Then, download and save the programs listed below in that folder:

  2. calibre - http://calibre-ebook.com/download.

calibre is a free and open source e-book library management system.

  3. .Net Framework - http://www.microsoft.com/net/download.

.NET Framework is a software framework that allows programs to run in a software environment, as contrasted to run in a hardware environment. Version 2.0 is the oldest version that works with Pathway. The bootstrap program will not replace a more recent version if it finds one on your computer.

    • Download both the 32-bit version (dotnetfx.exe) and the 64-bit version (NetFx64.exe).

  4. Foxit Reader - http://www.foxitsoftware.com/downloads/.

Foxit Reader allows you to read and annotate PDF documents and complete PDF forms. If you have Adobe reader, Foxit Reader will not be installed.

  5. Java - http://java.com/en/download/manual.jsp.

    • Download and save both 32-bit and 64-bit versions.

Java is a programming language and computing platform, and is the underlying technology that powers many programs.

  6. LibreOffice - http://www.libreoffice.org/download/. Version 3.6.1 is preferred.
    Version 3.3.4 also works http://www.oldapps.com/libreoffice.php?old_libreoffice=6263.

    • Download both the program and the Help files separately.

LibreOffice includes a writer, and other programs in a productivity suite.

  7. Prince - http://www.princexml.com/download/.

Prince is used to create PDF files.

  8. Pathway

There are at least 5 possible downloads; the most-recent sprint releases or the most-recent stable releases of both the Bible Translators Edition (BTE) and Standard Edition (SE), plus XeLaTex for Windows.

    • Download the XeLaTex for Windows build from http://pathway.sil.org/download/latest-sprint-downloads/.

    • Download the BTE and SE sprint builds from http://pathway.sil.org/download/latest-sprint-downloads/, or

download the BTE and SE stable builds from http://pathway.sil.org/download/.

  9. For each program you saved to the folder, do the following:

    • Right-click the program file in the folder, and then click Properties.

    • Select ( [image]) Read-only, and then click OK.

    • Repeat this step for each program (except the PathwayBootstrap program).

  10. PathwayBootstrap - http://build.palaso.org/repository/download/bt84/.lastPinned/PathwayBootstrap-1.9.1.4065.exe?guest=1.

    • It includes the PathwayBootstrap.ini file, which contains this:

[Versions]

Java=7u7

;LibreOffice=3.3.4,3323926F81B8744A0FAFB3AB5DECAC97

LibreOffice=3.6.1

Prince=8.1r3

FoxitReader=542.0901

Calibre=0.9.0

XeLaTex=1.6

YouVersion=1.0

The PathwayBootstrap.ini file is used to substitute version numbers in the installer names. In the case of LibreOffice, notice that an older version is commented out (;). The second number is the number of the program on the site that has old applications (http://www.oldapps.com/libreoffice.php?old_libreoffice=6263).

Use the installation package

  1. Insert the USB drive or CD-ROM in the computer that needs Pathway, and open folder that contains the downloads.

  2. Double-click or open the PathwayBootstrap file.

The bootstrap wizard opens.

Do the following in the bootstrap wizard:

    • In the Welcome window, click Next.

    • In the Improve window, select or clear the check box, and then click Next.

    • In the License window, select the check box, and then click Next.

    • In the Options window, select Stable or Latest (sprint build), then click Install.

The bootstrap program reviews the programs installed on your computer. Then, it opens the Pathway Installer. The bootstrap program determines if you need the BTE or SE version of Pathway, based on the related software it did or did not find.

  3. In the Pathway Installer, do the following:

    • Click Next.

    • Select that you accept the licence agreement, and then click Next.

    • Click Next in each window until the installation begins.

  4. Do the required steps in each of the installation wizards, if any, that appear.

  5. If the PathwayBootstrap program does not install a program from the folder that you know is not yet installed on the computer, do the following with the PathwayBootstrap.ini file:

  • Clear ( [image]) the Read-only setting.

  • Edit the version number of that program so it matches the version you saved in the folder.

  • Save the changes.

  • Select ( [image]) Read-only again for this file.

  • Repeat step 2 above to run the bootstrap wizard again. Any omitted programs should be installed. You can check to see which programs are installed on a computer using the Control Panel (Start — Control Panel — Add/Remove Programs (or Programs and Applications)

  6. The PathwayBootstrap program does not install the LibreOffice Help file. If LibreOffice was installed, manually install the Help files:

    • In the folder, double-click that file (LibO_3.6.1_Win_x86_helppack_en-US.msi, or similar).

    • Do the steps indicated in the installation wizard.

Related Topics

Going Further overview


Related Software

SIL FieldWorks

  • http://fieldworks.sil.org/download/

Charis fonts

  • Charis SIL and Charis SIL Compact fonts are used by the stylesheets.

    • Charis SIL is installed with SIL FieldWorks.

    • Charis SIL Compact font requires less vertical space between the lines for diacritics. If you don’t need the extra space, and you would like the lines to be printed closer together, Charis SIL Compact font might meet your needs.

Both fonts are available for free at http://scripts.sil.org/CharisSIL_download.

LibreOffice or Open Office

  • LibreOffice, version 3.2 or later opens *.odt files. Then you can also use the Pdf (Using LibreOffice) output option.

  • If you open the *.odt file in OpenOffice, you need at least version 2.4.

Microsoft Word®

  • Choose the LibreOffice/OpenOffice destination. Open that file with LibreOffice or OpenOffice, and then export it in a Word format.

Other

  • See: Destination and Known Issues overview.

Related Topics

Going Further overview

Pathway overview

Prerequisites


Release Notes

On the Start menu, point to All Programs, point to Pathway and then click one of the following documents:

  • Readme

  • SIL Language Freeware End User License Agreement

Related Topics

Going Further overview

Pathway overview


Tutorials

On the Help menu you can click Student Manual. This manual gives an overview of the use and features in the Pathway Configuration Tool and the Export Through Pathway dialog box that appears in SIL FieldWorks.

Related Topics

Going Further overview

Pathway overview


Known Issues overview

Front matter and back matter

OpenOffice/LibreOffice issues

Note

We want to have support for export to Microsoft Word® directly. Until then, consider the following:

  • OpenOffice/LibreOffice was implemented first because it is unencumbered software. That means our everyone can freely install the program without having to worry about licensing. It has roughly the same features as Word although the user interface is closer to Word 2003 than to Word 2007.

  • OpenOffice/LibreOffice can save the file in a Word format. So it is possible after the file appears in OpenOffice or LibreOffice to save it in Word format and then open it in Word.
    This is an extra step and a process that went directly to Word, could put the guide words in the header, and so on. Once the exported file appears in Word, you need to know how to insert the guide word in the header using the StyleRef field code.

    • The StyleRef field code needs to be used in Word to set up guide words for headers. This feature can not be automatically exported by OpenOffice/LibreOffice. Consult the Microsoft Word® help file for instructions on the user of this feature.

Related Topics

Pathway overview

Related Software


Front matter and back matter

Front and back matter is not created in and exported from the content-providing program.

  • The Front Matter tab allows you to add front matter information. Add additional front matter and any back matter information in the destination program, such as in LibreOffice.

Related Topics

Known Issues overview


Open Office issues

OpenOffice/LibreOffice issues

In all cases, review the OpenOffice or LibreOffice Help topics for more up-to-date and complete information.

Complex fonts or Asian languages

OpenOffice and LibreOffice Writer may crash from data that needs complex rendering (is written with characters or glyphs that are composed of several parts), or is written from right-to-left. These are considered to be CTL (Complex Text Layout).

To prevent this crash, do the following in OpenOffice or LibreOffice Writer:

  • On the Tools menu, click Options. In the Options dialog box, expand Language Settings, and then click Languages.

    • Select ( [image]) Enabled for complex text layout (CTL).

    • For Asian languages, also select Enabled for Asian languages.

    • Click OK.

Dashed borders

  • Dashed borders is not supported.

Large Files

  • Large files open and operate slowly.

    • You may want to select Split File by Letter (more) to see if that helps. You may want to combine the files into one larger master file later.

  • If you export to OpenOffice/LibreOffice, and if the output file is large (500 or more pages), or some of the content is formatted by many styles, then OpenOffice/LibreOffice can crash. In this case, you can select ( [image]) the Replace styles with direct formatting in OpenOffice/LibreOffice check box in the Export Through Pathway or Set Defaults dialog box.

    • Be aware that when selected, the stylesheet is eliminated and style attributes are applied as direct formatting in OpenOffice/LibreOffice. Consequently, it will be inconvenient to change formatting after export.

  • http://help.libreoffice.org/Writer/Master_Documents_and_Subdocuments gives more information about large files.

Navigator (in OpenOffice/LibreOffice)

  • Press F5. It has a list of all the graphics in the file. It is helpful to select each one and see how it has been formatted. The Navigator is also very helpful when working with Master Documents.

Styles dialog (in OpenOffice/LibreOffice)

  • Press F11. The OpenOffice/LibreOffice Styles and Formatting dialog box has a tool bar with the different kinds of styles that are supported. The first icon on the tool bar is for paragraph styles. The second icon is for character styles. It is often useful to switch the list depending on whether the element in question is part of a paragraph or an entire paragraph.

Tables

  • Tables are not implemented yet in OpenOffice/LibreOffice export.

Word Spacing

  • "Word spacing" is not supported. When OpenOffice/LibreOffice is the target output, word spacing is greyed out (unavailable).

Vertical Alignment

  • Percentage oriented vertical alignment is not supported. When OpenOffice/LibreOffice is the selected destination, the valid property values for vertical alignment are restricted to those that OpenOffice/LibreOffice support.

Nested lists

  • tbd

Other

  • Security: OpenOffice/LibreOffice Macro Security must be reduced to medium (at most). After installing OpenOffice/LibreOffice, on the Tools menu click Options. In the Options dialog box, expand OpenOffice or LibreOffice and then click Security. Under Macro Security click the Macro Security button set the security level to Medium.

  • To run the macro, you can close and reopen the .odt file, or run the StartDontForget macro via the Tools menu.

  • Use Preview to force repagination. The page numbers change in the lower left corner of the window during the repagination.

  • Writing Systems (Headwords versus guide words): When you export a dictionary via Pathway, if the default vernacular writing system set in FieldWorks Language Explorer is not the writing system of the lexeme forms or citation forms, the guide words (headers) may use a different writing system than the dictionary headwords. Also, the sort order of the entries may be set by the wrong writing system.

Related Topics

Known Issues overview

Related Software


Using Help overview

With Using Help, you will be able to:

  • Use the Help Window to find, resize, reformat, copy, and print Help topics.

  • Search for Information using basic and advanced techniques.

  • Learn Shortcuts to manage the Help tabs and the Help window.

Note

  • If you are new to using Help, we suggest you first start learning about Help Windows.

Related Topics

Find a Help topic


Help Window overview

Learning how the Help Window works will teach you to:

  • Understand the different Help window panes.

  • Find a Help topic.

  • Create a list of favorite Help topics.

  • Use tips to find information using Help.

  • Customize the Help window.

  • Copy a Help topic.

  • Print the current Help topic.

Related Topics

Using Help overview

Search for Information overview

Shortcuts overview


Change the font size of a topic

  1. Start Internet Explorer.

  2. On the View menu, click Text Size.

  3. Select your choice of text size (Medium is the default).

Notes

  • If a Help window is open, close it, and then open it again to see the change in font size.

  • The font size does not apply to the Navigation pane or Help toolbar.

  • This will also change the font size in Internet Explorer.

Related Topics

Customize the Help window

Help window overview

Change the formatting of style of a topic


Change the formatting or style of a topic

  1. On the OptionsTools menu, click Internet Options.

  2. In the Internet Options dialog box, click Accessibility.

  3. In the Accessibility dialog box, select the options you want.

  4. Click OK two times.

Note

  • These changes do not apply to the Navigation pane or Help toolbar.

  • This will also change your accessibility settings for Internet Explorer.

Related Topics

Customize the Help window

Help window overview

Change the font size of a topic


Copy a Help topic

  1. Navigate to the Help topic you want, and display it.

  2. Right-click in the Topic pane, and then click Select All.

  3. Right-click again, and then click Copy.

    This copies the topic to the Clipboard.

  4. Open the document to which you want to copy.

  5. Move the insertion point to where you want the information to appear.

  6. On the Edit menu, click Paste.

Note

  • If you choose Select All, you can copy some extra-unintended graphics and miscellaneous characters. You might want to delete these graphics and characters after you paste.

  • If you want to copy only part of a Help topic, select the text you want to copy, right-click, and then click Copy.

Related Topics

Help Window overview

Print the current Help topic


Create a list of favorite Help topics

  1. Locate the Help topicWeb page you want to mark as a favorite.

  2. Click the Favorites tab. On the Favorites menu, click Add to Favorites.

    The Add Favorite dialog box appears.

  3. Click Add. Click OK.

Note

  • You can put a favorite Web page in a created subfolder, if desired.

  • To return to a favorite Web page: on the Favorites menu, click the Web page.

  • To return to a favorite topic: click the Favorites tab, select the topic, and then click Display.

  • To rename a Web page: on the Favorites menu, right-click the Web page, click Rename, type a new name in the box, and then click OK.

  • To rename a favorite topic: click the topic, type a new name in the box, and then press Enter.

  • To remove a favorite Web page: on the Favorites menu, right-click the Web page, click Delete, and then click Yes.

  • To remove a favorite topic: select the topic, and then click Remove.

Related Topics

Help Window overview

Understanding Help window panes

Tips on finding information using Help


Customize the Help window

There are a few ways to easily change the size, position, and the panes of the Help window:

  • To resize the Navigation or Topic pane, point to the divider between the two panes. When the pointer changes to a double-headed arrow, drag the pointer right or left.

  • To proportionately shrink or enlarge the entire Help window, point to any corner of the Help window. When the pointer changes to a double-headed arrow, drag the pointer to resize the Help window.

  • To change the height or width of the Help window, point to the top, bottom, left, or right edge of the Help window. When the pointer becomes a double-headed arrow, drag the pointer to adjust the height or width of the window.

  • To reposition the Help window on your screen, click the title bar and drag the window to a new position.

You can also:

  • Hide or show the Navigation pane.

  • Change the font size of a topic.

  • Change the formatting or style of a topic.

Note

  • The Help window will appear with the last size and position settings specified.

Related Topics

Help Window overview


Find a Help topic

In the Navigation pane, click one of the following tabs:

  • To browse through a table of contents, click the Contents tab. The table of contents is an expandable list of all topics.

  • To see a list of index entries, click the Index tab, and then type a word or scroll through the list. Double-click an index word.Click an index word.

    • If only one Help topic is indexed under the keyword, then the Help topic will appear in the Topic pane.

    • If two or more Help topics are indexed under same keyword, the Topics Found window will appear. Select a topic from the list, and then click the Display button.

    • If two or more Help topics are indexed under the same keyword, a list of topics will appear. Select a topic from the list, and then click.

  • To find every occurrence of a word or phrase contained in all the Help files, click the Search tab. Type the word in the Type in the word(s) to search for list, click List Topics, and then double-click a topic and then click a topic.

Note

  • Search for Information overview explains, in detail, how to use the Search tab.

Related Topics

Help Window overview

Understanding Help window panes


Help window screen shot

Related Topics

Understanding Help window panes


Hide or show the Navigation pane

  • On the toolbar, click the Close button [image] Hide or Show to close or display the Help Navigation pane, which contains the Contents, Index, and Search, and Favorites tabs.

  • To display the Help Navigation pane, click the Contents, Index, or Search tab.

Note

  • If you close the Help window with the Help Navigation pane hidden, it may appear that way when you open the Help window again.

Related Topics

Customize the Help window

Help Window overview


Print the current Help topic

Do one of the following:

  • Click Print on the Help toolbar.

  • Click the Print button in the Help Navigation pane.

  • Right-click in the Topic pane, and then click Print.

  • Right-click a topic on the Contents tab, and then click Print.

Note

  • You can choose to print the selected topic or all topics in the selected heading (that is, all the topics in a book).

Related Topics

Help Window overview

Copy a Help topic

Tips on finding information using help


Tips on finding information using Help

Here are some tips on how to find more information when using the Help window:

  • To link to another topic, a Web page, a list of other topics, or a program, click the blue colored and blue underlined text.

  • To view topics that contain related information, click a link under Related Topics, which appears at the end of each topic.

  • To see if a word or phrase contained in a topic is in the index, select the word, and then press F1.

  • If you are viewing content from the Web in the Topic pane, you can click Stop or Refresh on the toolbar to interrupt a download or refresh a Web page.

  • If you use a particular help topic often, you can add it to your favorite topics.

  • Right-click in the Content or Topic pane, and then select Print to print the current help topic.

Note

  • You can also find topics using the toolbar buttons.

Related Topics

Help Window overview


Understanding Help window panes

The Help window contains a toolbar and two panes.

  • The Help toolbar is below the Using Help window title barInternet Explorer toolbars.

  • The Navigation pane is on the left of the window. It contains four tabs: the Contents tab, the Index tab, the Search tab, and the Favorites tab.

  • The Navigation pane is on the left of the window. It contains three tabs: the Contents tab, the Index tab, and the Search tab.

  • The Topic pane (also known as the Content pane) is on the right of the window. It displays the selected Help topic.

Note

  • Understanding these panes will help you find a help topic.

Related Topics

Help Window overview


Work with topics using the toolbar buttons

There are several buttons on the toolbar in the Help window. You can click these buttons to work with Help topics:

  • Hide/Show hides or shows the Help Navigation pane on the left.

  • Hide hides the Help Navigation pane on the left.

  • Back displays the previous topic that you viewed.

  • Forward displays the next topic in a previously displayed sequence of topics.

  • Refresh reloads the selected topic.

  • Home displays the Home page topic for the Help file you are viewing.

  • Print prints the Topic pane only

Note

  • The Help toolbar in your Help window may not contain all of these buttons or may have additional custom buttons.

Related Topics

Help Window overview

Tips on finding information using Help


Search for Information overview

A search consists of the words or phrases you want to find. How you represent these words or phrases is called a search term. You may use the Search tab to:

  • Find information using a simple search.

  • Find information using an advanced search.

The basic rules for searching are as follows:

  • Searches are not case-sensitive, so you can type your search in uppercase or lowercase characters.

  • You can search for any combination of letters (a-z) and numbers (0-9).

  • Punctuation marks (for example, the period, colon, semicolon, comma, and hyphen) are ignored during a search.

  • You can use double quotes or parentheses to group the elements of your search. You cannot search for quotation marks themselves.

Note

  • To search for a file name with an extension, group the entire string in double quotes (for example, "filename.ext"). Otherwise, the period will break the file name into two separate words. The default operation between words is AND, so you will create the logical equivalent to filename AND ext.

Related Topics

Using Help overview

Help Window overview

Shortcuts overview


Find information using a simple search

  1. Click the Search tab.

  2. Type the words or phrases you want to find in the Type in the word(s) to search for list.

  3. Decide if you want to:

    • Find words similar to your search term.

    • Search only the last group of topics.

    • Search topic titles only.

  4. Click List Topics.

  5. Click the topic you want.

  6. Click the topic you want, and then click Display.

Note

  • The search terms will be highlighted in each topic when it is displayed. To clear this highlighting, click the Refresh button on the Help toolbar.

Related Topics

Search for information overview

Find information using an advanced search


Find information using an advanced search

  1. Click the Search tab.

  2. Type the words or phrases you want to find in the Type in the word(s) to search for list.

  3. Use any nested expressions for complex searches.

  4. Click [image] to add boolean operators to your search terms.

  5. Click List Topics.

  6. To sort the topic list, click the Title, Location, or Rank column heading.

  7. Select the topic you want, and then click Display.

  8. Click the topic you want.

Note

  • You can also:

    • Find words similar to your search term.

    • Search only the last group of topics.

    • Search topic titles only.

Related Topics

Search for information overview

Find information using a simple search


Find words similar to your search term

This feature enables you to include minor grammatical variations for the phrase you search. For example, a search on the word add will find add, adds, and added.

  1. Click the Search tab.

  2. Type the words or phrases you want to find in the Type in the word(s) to search for list.

  3. Select the Match similar words check box.

  4. Click List Topics.

  5. Click the topic you want, and then click Display.

Note

  • This feature only locates variations of the word with common suffixes. For example, a search on the word add will find added, but it will not find additive.

  • The Search tab will open with this check box selected if you previously used this feature

Related Topics

Find information using a simple search

Search only the last group of topics

Search topic titles only


Search for words and phrases

You can search for words alone, or you can search for combinations of words (phrases). You can also use wildcard expressions with both these searches. Wildcard expressions allow you to search for one or more characters using a question mark (?) or asterisk (*). The table below describes the results of these different kinds of searches.

Search for

Example

Results

A single
word

select

Topics that contain the word select. (You will also find its grammatical variations, such as selector and selection.)

A phrase

"new operator"
or
new operator

Topics that contain the literal phrase new operator and all its grammatical variations.

Without the quotation marks, the query is equivalent to specifying new AND operator, which will find topics containing both of the individual words, instead of the phrase.

Wildcard expression

esc*
or
80?86

Topics that contain the terms ESC, escape, escalation, and so on. The asterisk cannot be the only character in the term.

Topics that contain the terms 80186, 80286, 80386, and so on. The question mark cannot be the only character in the term.

Related Topics

Find information using a simple search

Find information using an advanced search

Search for information overview


Search only the last group of topics

This feature enables you to narrow a search that results in too many topics found. You can search through your results list from previous search by using this option.

  1. Click the Search tab.

  2. Type the words or phrases you want to find in the Type in the word(s) to search for list.

  3. Select the Search previous results check box.

  4. Click List Topics.

  5. Click the topic you want, and then click Display.

Note

  • If you want to search through all of the Help topics, you must clear the check box.

  • The Search tab will open with this check box selected if you previously used this feature.

Related Topics

Find information using a simple search

Find words similar to your search term

Search topic titles only


Search topic titles only

This feature enables you to search for a word or phrase only in the topic title. For example, if you searched for the word topic using this feature, you will find this topic, because the title contains the word topic.

  1. Click the Search tab.

  2. Type the words or phrases you want to find in the Type in the word(s) to search for list.

  3. Select the Search titles only check box.

  4. Click List Topics.

  5. Click the topic you want, and then click Display.

Note

  • If you want to search through all of the Help topics, you must clear the check box.

  • The Search tab will open with this check box selected if you previously used this feature.

Related Topics

Find information using a simple search

Search only the last group of topics

Find words similar to your search term


Search using boolean operators

The AND, OR, NOT, and NEAR boolean operators enable you to precisely define your search by creating a relationship between search terms. If no operator is specified, AND is used. For example, the query spacing border printing is equivalent to spacing AND border AND printing. The following table shows how you can use each of these operators:

Search for | Example | Results
Both terms in the same topic. | dib AND palette | Topics containing both the words dib and palette.
Either term in a topic. | raster OR vector | Topics containing either the word raster or the word vector or both.
The first term without the second term. | ole NOT dde | Topics containing the word ole, but not the word dde.
Both terms in the same topic, close together. | user NEAR kernel | Topics containing the word user within eight words of the word kernel.

Note

  • The |, &, and ! characters do not work as boolean operators (you must use OR, AND, and NOT).

Related Topics

Find information using an advanced search

Search using nested expressions


Search using nested expressions

Nested expressions allow you to create complex searches (queries). For example, control AND ((active OR dde) NEAR window) finds topics containing the word control along with the words active and window close together, or containing control along with the words dde and window close together.

The basic rules for searching Help topics using nested expressions are as follows:

  • You can use parentheses to nest (that is, group) expressions within a query. The expressions within parentheses are evaluated before the rest of the query.

  • If a query does not contain a nested expression, it is evaluated from left to right. For example: control NOT active OR dde finds topics containing the word control without the word active, or topics containing the word dde. However, control NOT (active OR dde) finds topics containing the word control without either of the words active or dde.

  • You cannot nest expressions more than five levels deep.

Related Topics

Find information using an advanced search

Search using boolean operators


Shortcuts overview

Shortcut keys are individual keys and key combinations you can use to speed up your work.

The following keyboard shortcuts can be used for navigation in the Help window:

Shortcuts for the Help window.

Shortcuts for the Options toolbar.

Shortcuts for the Contents tab.

Shortcuts for the Index tab.

Shortcuts for the Search tab.

Shortcuts for the Favorites tab.

Note

  • Shortcuts also work in secondary and pop-up windows.

  • When you use a shortcut in the Navigation pane, you may lose focus in the Topic pane. To return to the Topic pane, press F6.

Related Topics

Using Help overview

Help Window overview

Search for Information overview


Shortcuts for the Contents tab

To | Press
Open a book. | Left Arrow
Close a book. | Right Arrow
Select a topic. | Down Arrow and Up Arrow
Display the selected topic. | Enter
Display the Contents tab. | Alt+C

To | Command
Expand all books in the table of contents. | Right-click in the Contents tab, and then click Open All.
Collapse all books in the table of contents. | Right-click in the Contents tab, and then click Close All.

Related Topics

Shortcuts overview

Shortcuts for the Index tab

Shortcuts for the Search tab

Shortcuts for the Favorites tab


Shortcuts for the Favorites tab

To | Press
Display the Favorites tab. | Alt+I
Add the currently displayed topic to the Favorites list. | Alt+A
Select a topic in the Favorites list. | Alt+P, and then Up Arrow and Down Arrow
Display the selected Favorites topic. | Alt+D
Remove the selected topic from the Favorites list. | Alt+R

Related Topics

Shortcuts overview

Shortcuts for the Contents tab

Shortcuts for the Index tab

Shortcuts for the Search tab


Shortcuts for the Help window

To | Press
Close the Help window. | Alt+F4
Switch between the Help window and other open windows. | Alt+Tab
Move back to the previous topic. | Alt+Left Arrow
Move forward to the next topic in a previously displayed sequence of topics. | Alt+Right Arrow
Refresh the topic that appears in the Topic pane (this is useful if you have linked to a Web page). | F5
Scroll through a topic. | Up Arrow and Down Arrow Page Up and Page Down
Scroll through all the links in a topic or through all the options on a Navigation pane pane tab | Tab

Switch between the Navigation pane and the Topic pane.

F6

To | Command
Print the current Help topic. | Right-click in the Topic pane, and then click Print.

Related Topics

Shortcuts overview

Shortcuts for the Options menu


Shortcuts for the Index tab

To | Press
Display the Index tab. | Alt+N
Type a keyword to search for. | Alt+W, and then type the word
Select a keyword in the list. | Up Arrow and Down Arrow
Display the topic associated with the selected keyword. | Alt+D

Related Topics

Shortcuts overview

Shortcuts for the Contents tab

Shortcuts for the Search tab

Shortcuts for the Favorites tab


Shortcuts for the Options menu

To | Press
Display the Options menu on the Help toolbar. | Alt+O
Hide or show the Navigation pane. | Alt+O, and then press T
Move back to the previous topic. | Alt+O, and then press B
Return to the home page (help authors can specify a home page for a help system). | Alt+O, and then press H
Stop the Help window from opening a page (this is also useful if you are linking to the Web and want to stop a page from downloading). | Alt+O, and then press S
Refresh the topic that appears in the Topic pane (this is useful if you have linked to a Web page). | Alt+O, and then press R
Change Microsoft Internet Explorer settings. The Internet Options dialog box contains accessibility settings. To change these settings click the General tab, and then click Accessibility. | Alt+O, and then press I
Print a topic. | Alt+O, and then press P

Related Topics

Shortcuts overview

Shortcuts for the Help window


Shortcuts for the Search tab

To | Press
Display the Search tab. | Alt+S
Type a keyword to search for. | Alt+W, and then type the word
Start a search. | Alt+L
Select a topic in the results list. | Alt+T, and then Up Arrow or Down Arrow
Display the selected topic. | Alt+D
Search for a keyword in the result list of a prior search. | Alt+U
Search for words similar to the keyword. For example, to find words like running and runs for the keyword run. | Alt+M
Search only through topic titles. | Alt+R

Related Topics

Shortcuts overview

Shortcuts for the Contents tab

Shortcuts for the Index tab

Shortcuts for the Favorites tab


Glossary of Terms

Refer to Concepts in the Help file for information about terms or names of features you see in the UI (User-Interface).

To find a term in the glossary, click the letter that is the first letter in the word or phrase you want to look up.

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z Symbols

A

B

C

CSS - Cascading Style Sheet. See also: stylesheet.

D

E

F

G

gutter width - In publishing, gutter width is the width of the space between columns. In Pathway, this property is called Column Gap.

H

I

J

justified - In typography, when a line of text is justified, the spaces between words, and, to a lesser extent, between glyphs or letters, are stretched or compressed to make them align at both the left and right ends of each line of text. This contrasts to a ragged edge.

K

L

leading - In typography, leading, pronounced ˈlɛdɪŋ, refers to the amount of added vertical spacing between lines of type. In this User Interface, Line Spacing is used instead.

M

margin (page) - The blank space outside the printing area on a page.

Mobile - In Pathway Configuration Tool, mobile refers to all types of "smart devices", such as smartphones or PDAs for which you would need to configure a stylesheet.

N

O

Others - In Pathway Configuration Tool, Others is an optional place to store and access specialty custom stylesheets that do not fit neatly in Paper, Mobile, or Web.

P

point - In typography, a point is the smallest unit of measure. There are 72 points to the inch (1 point = 127⁄360 mm ≈ 0.353 mm, or 1/72 of an inch).

Q

R

S

stylesheet (or style sheet) - a document that consists of settings that describe the layout and presentation to be used when displaying other documents. That is, stylesheets allow you to define how your pages will look. See: CSS.
See also: http://en.wikipedia.org/wiki/Cascading_Style_Sheets

T

type - as a verb, type means to use your keyboard to write; as a noun, type refers to a character or line of characters, which in typography encompasses type design, type glyphs, type arrangement, and so on.

typography - Typography comes from the Greek words τύπος typos "mark, figure" and γράφω grapho "I write". (http://en.wikipedia.org/wiki/Typography)

U

V

W

X

Y

Z

Zip files - Zip files are single files (also known as archives) that contain one or more compressed files. In the Pathway Configuration Tool, the Send feature compresses the stylesheet in a zip file.

Symbols

New [image] - click to add a new stylesheet.

Save As [image] - click to copy an existing stylesheet.

Delete [image] - click to delete current stylesheet.

Preview [image] - click to see a preview of the current stylesheet.

Defaults [image] - click to open the Set Defaults dialog box.

Reset [image] - click to delete custom stylesheets and Defaults (above) that you set to put Pathway back to its initial state.

Send [image] - click to make a zip file of the current stylesheet and open your default email program so you can send it to someone.

Help [image] - click to open this Help file, a pointer to the Student Manual, and open the About box.

Paper [image] - click to see stylesheets intended for publishing to paper.

Mobile [image] - click to see stylesheets intended for publishing to mobile or "smartdevices".

Web [image] - click to see stylesheets intended for publishing to the internet.


Help topic does not exist

There is currently no Help topic for this part of the program.

OR

This Help topic is currently being written or updated and is not yet approved for release.

Related Topics

Overview


Pdf (Using Prince)

Prince converts documents to *.pdf. Currently, for lexical data, you need to generate the main dictionary and each reversal index separately. The Front Matter tab is not available and no front matter content is included.

From http://www.princexml.com/:

  • Prince is an ideal printing component for server-based software, such as web applications that need to print reports or invoices. Using Prince, it is quick and easy to create PDF files that can be printed, archived, or downloaded.

  • Prince can also be used by authors and publishers to typeset and print documents written in HTML, XHTML, or one of the many XML-based document formats. Prince is capable of formatting academic papers, journals, magazines, and books.

Related Topics

Concepts overview

Destination


Webonary

Webonary is a server-side application, that is, it is software. It is used to publish to a web hosting services of your choice. This is not the same as SIL's Webonary.org hosting service, which is the preferred web publishing option.

See: http://webonary.org/

Use Webonary.org to host your data

  • In this case, you do not use Pathway. Instead you export the dictionary data directly from FieldWorks Language Explorer as an XHTML file. Then, you import it into the Webonary site you set up. See: http://webonary.org/wp-signup.php/ or http://pathway.sil.org/webonary/webonary/host-your-dictionary-at-webonary-org/.

Choose a different web hosting service

  • After you have chosen and set up a hosting service, and set up a web stylesheet in the Pathway Configuration Tool, then a destination called Webonary is available in the Set Defaults and Export through Pathway dialog boxes.

In this case, you export dictionary data from FieldWorks Language Explorer through Pathway, using your web stylesheet and metadata.

Note

  • Set up Web overview discusses how the size of the dictionary may determine which site and process you use.

  • http://pathway.sil.org/webonary/install/wordpress-set-up/ has additional information.

Related Topics

Concepts overview

Technical Support

Related Internet Sites

http://www.webonary.org/host-your-dictionary-at-webonary-org/

https://github.com/sillsdev/pathway/wiki/WordpressSql


Configuration Files

If you want to manually edit a configuration file, you can find it in a folder here:

  • C:\Users\<user name>\AppData\Local\SIL\Pathway (Windows)

  • ~/.local/share/SIL/Pathway/ (Linux).

Related Topics

Going Further overview

Sending stylesheets


Localize User Interface dialog box

The User Interface (UI) is the part of Pathway that you see. The UI has words that are labels, commands, tool tips and so on. You use this dialog box to translate those words into other languages.

  • The Groups pane lists all the areas in the UI that have words.

Groups are listed hierarchically. You can expand ( [image]) or collapse ( [image]) groups. The lowest level is a single word or phrase, such as one label.

  • When you click a group, word or phrase in the Groups pane, the right pane shows the words that are used there.

The right pane has controls so you can select a Source Language and Target Language. You see your selections as columns.

Each row is a single set of words, such as a label. A cell is the intersection of a row and a column.

  • You can type a translation in a cell.

  • Alternatively, you can use Bing [image] to translate the words for you. There are two commands: Translate Using Bing and Edit Source & Translate Using Bing. You can let Bing translate the words as they are. Alternatively, you can edit the words before you let Bing translate them.

Related Topics

Change User Interface language

Dialog boxes overview

Share a UI language file

Related Internet Sites

Bing Translator

http://www.techterms.com/definition/user_interface


Split File by Letter

When Paper is selected in the Navigation pane, the Properties tab shows the Split File by Letter field.

For a custom stylesheet, you can select or clear the check box.

  • If selected ( [image]), each letter will be stored internally in its own file. This may improve performance in large data sets but will result in each letter beginning on its own page.

  • If cleared ( [image]), all the content for the main section will be stored in a single document. New letters can begin in the middle of a page which will require fewer total pages and therefore save printing costs. For electronic publications, this is not an important consideration.

Related Topics

No page breaks within letters

Tasks overview

User Interface terms - Properties tab